title: Un homme peut-il être féministe ?
url: https://simonae.fr/militantisme/feminismes/homme-cisgenre-feministe/
hash_url: 0aaa9fca9e05b337b8ee508122be0578

<section class="et_pb_fullwidth_header et_pb_module et_pb_bg_layout_dark et_pb_text_align_left  et_pb_fullwidth_header_0">

<div class="et_pb_fullwidth_header_container left">
<div class="header-content-container center">
<div class="header-content">




<p>Toutes les personnes féministes ont déjà rencontré un homme cisgenre qui leur a déclaré, la main sur le cœur&nbsp;: «&nbsp;Non mais moi je suis féministe, hein, je vous soutiens totalement.&nbsp;» Peut-être même que toi, homme cisgenre qui lit cet article, tu te sens féministe et n’hésites pas à le dire haut et fort&nbsp;! La réalité derrière le terme «&nbsp;féministe&nbsp;» est cependant plus complexe. Ami·es féministes, préparez-vous à envoyer cet article aux hommes cisgenres de votre connaissance&nbsp;; messieurs, vous allez lire quelques lignes qui vont vous faire réfléchir&#8230;</p>


</div>
</div>

</div>
<div class="et_pb_fullwidth_header_overlay"></div>
<div class="et_pb_fullwidth_header_scroll"></div>
</section>

</div> <!-- .et_pb_section --><div class="et_pb_section  et_pb_section_1 et_section_regular">



<div class=" et_pb_row et_pb_row_0">

<div class="et_pb_column et_pb_column_4_4  et_pb_column_0">

<div class="et_pb_text et_pb_module et_pb_bg_layout_light et_pb_text_align_left  et_pb_text_0">

<h2>Retour sur les définitions</h2>
<p>Tout d’abord, revenons aux basiques. Vous remarquerez que depuis le début de cet article, nous parlons d’«&nbsp;hommes cis(genres)&nbsp;». Oui, cela a son importance. Être cisgenre, c’est être en accord avec le genre qui nous a été assigné à la naissance. Être un homme cisgenre veut donc dire que, quand vous êtes né, on vous a attribué le genre «&nbsp;garçon&nbsp;» et que vous avez été élevé selon la norme «&nbsp;masculine&nbsp;», sans jamais remettre en question cette norme. Cela fait de vous quelqu’un de privilégié selon l’ordre social. C’est-à-dire que vous n’avez jamais subi directement de sexisme ou de transphobie par exemple, ou encore qu’il y a de fortes chances que vous soyez payé plus que vos collègues féminines.</p>
<p>Ce privilège de genre n’efface pas d’autres oppressions que vous pourriez subir, comme le racisme, le validisme ou <a href="https://simonae.fr/au-quotidien/societe/expliquez-moi-mepris-classe-ordinaire-classisme/">le mépris de classe</a>. Mais le fait est que vous n’avez jamais personnellement subi de sexisme. Vous pouvez en avoir été témoin. Vous pouvez aussi avoir été soumis à des injonctions à la masculinité toxique, une pression pour être musclé, poilu, viril. Mais cela n’est pas du sexisme pour autant.</p>

</div> <!-- .et_pb_text -->
</div> <!-- .et_pb_column -->

</div> <!-- .et_pb_row -->

</div> <!-- .et_pb_section --><div class="et_pb_section et_pb_fullwidth_section  et_pb_section_2 et_section_regular">



<section class="et_pb_fullwidth_header et_pb_module et_pb_bg_layout_dark et_pb_text_align_left  et_pb_fullwidth_header_1">

<div class="et_pb_fullwidth_header_container left">
<div class="header-content-container center">
<div class="header-content">




<p>Un homme transgenre peut se dire féministe. Les hommes transgenres et cisgenres n’appartiennent pas à la même classe sociale car ils n’ont pas les mêmes privilèges. Les personnes transgenres sont soumises à la double peine du sexisme et de la transphobie, leur statut social n’a donc rien à voir avec celui d’un homme cisgenre.</p>


</div>
</div>

</div>
<div class="et_pb_fullwidth_header_overlay"></div>
<div class="et_pb_fullwidth_header_scroll"></div>
</section>

</div> <!-- .et_pb_section --><div class="et_pb_section  et_pb_section_3 et_section_regular">



<div class=" et_pb_row et_pb_row_1">

<div class="et_pb_column et_pb_column_4_4  et_pb_column_1">

<div class="et_pb_text et_pb_module et_pb_bg_layout_light et_pb_text_align_left  et_pb_text_1">

<p>Nous en venons donc à une seconde définition essentielle&nbsp;: le sexisme. Le sexisme est une oppression dite «&nbsp;systémique&nbsp;», c’est-à-dire qu’elle est intimement liée à l’État. Notre système de gouvernement a été construit très majoritairement par des hommes cisgenres, pour des hommes cisgenres. Même si la donne commence à changer, les femmes cisgenres, les personnes transgenres et non binaires en sont exclu·es. <strong>Le sexisme est donc la domination du genre masculin, et par extension, des hommes cisgenres, sur le reste de la population.</strong> C’est un état de fait qui a cours même si vous n’êtes pas d’accord avec cette réalité. Les hommes cisgenres sont toujours avantagés par le système. Ainsi, vous ne pouvez pas, en tant qu’homme cisgenre, subir du sexisme car vous faites partie de la classe sociale qui le crée et le maintient. C’est rude à avaler, mais nécessaire pour la suite de votre réflexion.</p>

</div> <!-- .et_pb_text --><div class="et_pb_text et_pb_module et_pb_bg_layout_light et_pb_text_align_left  et_pb_text_2">

<h2>Le féminisme, un terme politique</h2>
<p>Maintenant que vous êtes au point avec les définitions, parlons féminisme. Le féminisme est un grand mot qui fait peur, mais qui est au fond assez simple. Être féministe, c’est militer pour une égalité de fait entre hommes et femmes. Le féminisme est un terme parapluie, qui regroupe plusieurs courants de pensée, parce que tou·tes les militant·es sont loin d’être d’accord sur la façon de parvenir à cette égalité.</p>
<div class="pubArticle clearfix"><p class="aLireAussi">À lire aussi</p> <p class="titreArticle"><a href="https://simonae.fr/militantisme/feminismes/les-gros-mots-feministes-de-clarence-edgard-rosa/" target="_blank"><em>Les Gros Mots</em> féministes&nbsp;: entretien avec Clarence Edgard-Rosa</a></p></div>
<p>Seulement voilà, malgré les disparités des militant·es, c’est une lutte contre le sexisme systémique. Donc contre les privilèges des hommes cisgenres. Donc, si l’on garde en tête le début de cet article, le féminisme lutte pour l’abolition des privilèges dont vous, hommes cisgenres, êtes bénéficiaires. Vous commencez à voir le problème&nbsp;? <strong>Le féminisme est une lutte politique.</strong><div class="exergue clearfix"><div>&ldquo;</div><p>Être féministe, c’est se battre tous les jours, par plein de moyens différents, pour changer la société.</p></div>
<p>C’est un combat de tous les instants contre le fait d’être moins bien payé·es que vous, d’être relégué·es à la cuisine et aux enfant·es, d’être surexposé·es aux agressions sexuelles, à la pression sociétale constante.<br />
Bien sûr que vous aussi, vous subissez une pression pour rentrer dans le moule de la société. Mais elle est infime face à la pression que subit une femme cisgenre, une personne transgenre ou une personne non binaire.</p>
<p><strong>Se dire féministe est un terme politique.</strong> Si vous, hommes cisgenres, vous dites féministes, vous vous appropriez une lutte qui est précisément contre vous. De fait, vous la décrédibilisez. Un homme cisgenre n’a rien à gagner des luttes féministes, puisque ces luttes visent à lui faire perdre du pouvoir et à affaiblir la domination de sa classe sociale sur les autres. Cette perte de pouvoir est nécessaire à l’établissement d’une société plus égalitaire. Le féminisme ne prétend pas apporter un changement bénéfique aux hommes cisgenres, mais bien au reste de la société. Alors oui, vous êtes pétris de bonnes intentions et vous voulez aider à déstigmatiser le féminisme. Mais en vous appropriant ce terme, vous le rendez ridicule. Ridicule, parce que nous luttons contre un système qui vous favorise. Comment vous faire confiance&nbsp;? Comment croire en votre sincérité, en votre foi dans le renversement d’une oppression qui vous bénéficie&nbsp;?</p>
<p>Oui messieurs, vous pouvez soutenir la lutte féministe, nous y venons dans un instant. La première chose à faire pour aider la cause, ce serait déjà de ne pas vous approprier un terme qui n’est pas fait pour vous, mais contre vous. Pas vous personnellement, mais le système dont vous bénéficiez.</p>
<p>Un homme cisgenre peut tout à fait être déconstruit, c’est-à-dire qu’il peut avoir conscience de ses privilèges et des oppressions systémiques qui l’entourent. Si le terme «&nbsp;féministe&nbsp;» ne peut pas désigner des hommes cisgenres en raison de son caractère politique, le terme «&nbsp;allié&nbsp;» est en revanche tout à fait approprié. La distinction entre «&nbsp;féministe&nbsp;» et «&nbsp;allié&nbsp;» est d’ordre sémantique mais ne doit pas empêcher les hommes cisgenres de contribuer à la suppression des inégalités de genre.</p>

</div> <!-- .et_pb_text --><div class="et_pb_text et_pb_module et_pb_bg_layout_light et_pb_text_align_left  et_pb_text_3">

<h2>Quelle place pour les hommes cisgenres dans les luttes féministes&nbsp;?</h2>
<p>Toujours là&nbsp;? Bien&nbsp;! Nous allons à présent voir comment faire pour être un allié féministe efficace. Parce que oui, même sans vous dire féministe, vous pouvez tout de même aider&nbsp;! La liste est bien évidemment non exhaustive, mais c’est un bon début.</p>
<p><strong>Écoutez les personnes concernées quand elles vous parlent de sujets féministes.</strong> Ne mettez pas en doute leur ressenti, même si vous n’êtes pas d’accord. On ne vous demande pas de vous plier aux quatre volontés de votre interlocuteurice, juste d’écouter. De débattre, si le moment est approprié, mais en respectant la personne et ses expériences.</p>
<p>Ce deuxième conseil est directement lié au premier&nbsp;: <strong>laissez la parole aux femmes cisgenres et aux personnes transgenres et non binaires</strong>. Ne vous placez pas systématiquement en avant et soyez vigilant si lors d’une réunion, d’un débat ou autre, la parole est monopolisée par les hommes cisgenres.</p>
<p><strong>Contribuez concrètement à alléger la charge mentale</strong> des personnes autour de vous. Faites la vaisselle, le ménage, cuisinez, occupez-vous des enfants au quotidien, pas seulement lors des temps de jeu. Prenez en charge plus de responsabilités au sein de votre foyer pour laisser la possibilité aux autres membres de s’investir ailleurs. Vous n’êtes pas là pour «&nbsp;aider&nbsp;». Prenez votre part de responsabilité.</p>
<p><strong>Indignez-vous</strong>&nbsp;: ne laissez pas passer les blagues sexistes de votre entourage personnel et professionnel. Reprenez votre collègue lourd qui commente la longueur des jupes dans le service. N’utilisez plus d’insultes sexistes.</p>

</div> <!-- .et_pb_text -->
</div> <!-- .et_pb_column -->

</div> <!-- .et_pb_row -->

</div> <!-- .et_pb_section --><div class="et_pb_section et_pb_fullwidth_section  et_pb_section_4 et_section_regular">



<section class="et_pb_fullwidth_header et_pb_module et_pb_bg_layout_dark et_pb_text_align_left  et_pb_fullwidth_header_2">

<div class="et_pb_fullwidth_header_container left">
<div class="header-content-container center">
<div class="header-content">




<p><strong>Intervenez</strong>&nbsp;: Faites attention au monde qui vous entoure et questionnez votre place dans celui-ci. Si vous êtes témoin d’une agression, agissez. Le simple fait de prétendre connaître la personne agressée permet parfois de désamorcer une situation de danger. Piqûre de rappel nécessaire&nbsp;: intervenir dans une situation de danger ne vous confère aucun droit sur la victime. Il est parfaitement indécent de faire des avances à quelqu’un en profitant de la situation.</p>


</div>
</div>

</div>
<div class="et_pb_fullwidth_header_overlay"></div>
<div class="et_pb_fullwidth_header_scroll"></div>
</section>

</div> <!-- .et_pb_section --><div class="et_pb_section  et_pb_section_5 et_section_regular">



<div class=" et_pb_row et_pb_row_2">

<div class="et_pb_column et_pb_column_4_4  et_pb_column_2">

<div class="et_pb_text et_pb_module et_pb_bg_layout_light et_pb_text_align_left  et_pb_text_4">

<p><strong>Renseignez-vous</strong>&nbsp;: lisez des témoignages de personnes concernées, écoutez leurs conseils et remettez-vous en question. Ce n’est pas facile de se rendre compte qu’on est le méchant de l’histoire, mais le réaliser permet d’avancer dans la lutte pour une société plus égalitaire.</p>

</div> <!-- .et_pb_text -->
</div> <!-- .et_pb_column -->

</div> <!-- .et_pb_row -->

</div> <!-- .et_pb_section --><div class="et_pb_section et_pb_fullwidth_section  et_pb_section_6 et_section_regular">



<section class="et_pb_fullwidth_header et_pb_module et_pb_bg_layout_dark et_pb_text_align_left  et_pb_fullwidth_header_3">

<div class="et_pb_fullwidth_header_container left">
<div class="header-content-container center">
<div class="header-content">




<p>Un homme cisgenre peut-il être féministe&nbsp;? Non, mais il peut être un allié et contribuer aux luttes féministes de manière différente. Nous espérons que cet article vous a été utile et qu’il sera source de remise en question pour messieurs&nbsp;; et utile aux femmes cisgenres, personnes transgenres et non binaires lassées <a href="https://simonae.fr/militantisme/feminismes/injonction-pedagogie-tone-policing-sealioning/">qui peinent (à raison) à faire de la pédagogie</a>.</p>


</div>
</div>

</div>
</section>
</div></p></div></div></div></div>
