title: Budget and Pricing - hillhacks
url: http://hillhacks.in/budget
hash_url: 10c05933ad35ec6432dd02fb455c0574

<p>
This event is solely community driven and run by <a href="http://hillhacks.in/volunteers" class="wikilink1" title="volunteers">volunteers</a>. Please consider to <a href="http://hillhacks.in/participate" class="wikilink1" title="participate">participate</a> your bit, too! This democratic (or even meritocratic) approach is mirrored on every layer, and so is it for the money bit, too.
</p>

<h3 id="pay-as-you-can">Pay-as-you-can!</h3>
<div class="level3">

<p>
<strong>We want to provide everyone the opportunity to come, so we kindly ask everyone to give as much as s/he can afford.</strong>
</p>

<p>
What does that mean? We have four levels of pricing. Please choose the one that suits your budget.
</p>
<ul>
<li class="level1"><p class="li"> <strong>base</strong>: can be 0, if you cannot afford otherwise</p>
</li>
<li class="level1"><p class="li"> <strong>reasonable</strong>: covers basic costs of food and lodging</p>
</li>
<li class="level1"><p class="li"> <strong>nice</strong>: all costs covered, including infrastructure and tools</p>
</li>
<li class="level1"><p class="li"> <strong>supporter</strong>: you support others that cannot afford their travel, stay and food</p>
</li>
</ul>

</div>

<h3 id="conferencetickets24th25th26thoctober">Conference Tickets: 24th, 25th &amp; 26th October</h3>


<h3 id="pre-conferenceworkshopsandotherdayspricesperpersonperday">Pre-conference Workshops and Other Days (prices per person, per day)</h3>


<h3 id="howtopay">How to Pay</h3>
<div class="level3">

<p>
We will be accepting payments in cash. At this time, there is no online or pre-payment option. 
</p>

</div>

<h3 id="transparencyworkingbudget">Transparency &amp; Working Budget</h3>
<div class="level3">

<p>
The <a href="http://hillhacks.in/venue" class="wikilink1" title="venue">venue</a> charges us 600-1000 INR per person per day for food and <a href="http://hillhacks.in/accommodation" class="wikilink1" title="accommodation">accommodation</a> depending on how many people will be sharing a room and how many will be there in total. We do not know the exact price we need to charge: we have still so very many unknown factors… but we would like to keep the amount as transparent and flexible as possible. As we need to cover costs besides food and accommodation, we hope that every <a href="http://hillhacks.in/participate" class="wikilink1" title="participate">participant</a> can pay 1000-1500 INR per day.
</p>

<p>
Over time we will give some better overview on our actual costs here, to let you know where the money went. If you are interested please <a href="http://hillhacks.in/contact" class="wikilink1" title="contact">contact</a> us, we are very happy to include you in the detailed financing and budgeting. So please consider to <a href="http://hillhacks.in/participate" class="wikilink1" title="participate">help out</a> in that bit, too!
</p>

<p>
Be aware: Those numbers are still not very clear, and we (hopefully) made the assumptions rather high to “stay on the safe side” in sum. We will update this within time. 
</p>

</div>

<h4 id="expenses">Expenses</h4>
<div class="level4">
<ul>
<li class="level1"><p class="li"> Rent: 2.5 Lakh INR (will vary based on attendance)</p>
</li>
<li class="level1"><p class="li"> Infrastructure/Material (rental): 0.5 Lakh INR</p>
</li>
<li class="level1"><p class="li"> Infrastructure/Material (buying): 6.5 Lakh INR (mainly private funded)</p>
</li>
<li class="level1"><p class="li"> Pre-events: 1 Lakh INR</p>
</li>
<li class="level1"><p class="li"> Misc (stationary, goodies, transport, etc): 2 Lakh</p>
</li>
<li class="level1"><p class="li"> Food: 2 Lakh</p>
</li>
<li class="level1"><p class="li"> Support of Transport and stay: 2 Lakh</p>
</li>
<li class="level1"><p class="li"> Working hours of all those people: unpayable ;)</p>
</li>
</ul>

<p>
TOTAL: 16.5 Lakh INR (~ 27,000 USD or 21,000 EUR)
</p>

</div>

<h4 id="income">Income</h4>
<div class="level4">
<ul>
<li class="level1"><p class="li"> 1.000 EUR from nlnet.net (pending)</p>
</li>
<li class="level1"><p class="li"> 5.000 USD from network of the world (received)</p>
</li>
<li class="level1"><p class="li"> 4.223 USD from Web Foundation (pending)</p>
</li>
<li class="level1"><p class="li"> 10.000 USD via some personal funds</p>
</li>
<li class="level1"><p class="li"> 1500 EUR from wauland.de (but they still have to sort out if this is now really possible with foreign fund for bureaucracy reasons… lets see)</p>
</li>
</ul>

<p>
TOTAL: 16.9 Lakh INR (includes pending &amp; promised donations)<br/>
</p>

</div>
