title: Understanding ProRAW
url: https://blog.halide.cam/understanding-proraw-4eed556d4c54
hash_url: 0c6966a8e9543b52c361ac6de68f08e4

<section class="dg dh di dj dk">
<p id="655a" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">We make the most popular RAW camera for iPhone, so when Apple revealed their new ProRAW image format, we were beyond excited.</p>
<div class="hg aj"><figure class="hh hi hj hk hl hg aj paragraph-image">
<div role="button" tabindex="0" class="hm hn ho hp aj hq">
<div class="hw s ho hx">
<div class="hy hz s">
<div class="hr hs t u v ht aj bl hu hv"><img alt="Image for post" class="t u v ht aj ia ib ic" src="https://miro.medium.com/max/60/1*tfZD-KB2jIXjAsNhFWwANA.jpeg?q=20" width="3000" height="1500"/></div><img alt="Image for post" class="hr hs t u v ht aj c" width="3000" height="1500"/><noscript><img alt="Image for post" class="t u v ht aj" src="https://miro.medium.com/max/6000/1*tfZD-KB2jIXjAsNhFWwANA.jpeg" width="3000" height="1500" srcSet="https://miro.medium.com/max/552/1*tfZD-KB2jIXjAsNhFWwANA.jpeg 276w, https://miro.medium.com/max/1104/1*tfZD-KB2jIXjAsNhFWwANA.jpeg 552w, https://miro.medium.com/max/1280/1*tfZD-KB2jIXjAsNhFWwANA.jpeg 640w, https://miro.medium.com/max/1456/1*tfZD-KB2jIXjAsNhFWwANA.jpeg 728w, https://miro.medium.com/max/1632/1*tfZD-KB2jIXjAsNhFWwANA.jpeg 816w, https://miro.medium.com/max/1808/1*tfZD-KB2jIXjAsNhFWwANA.jpeg 904w, https://miro.medium.com/max/1984/1*tfZD-KB2jIXjAsNhFWwANA.jpeg 992w, https://miro.medium.com/max/2160/1*tfZD-KB2jIXjAsNhFWwANA.jpeg 1080w, https://miro.medium.com/max/2700/1*tfZD-KB2jIXjAsNhFWwANA.jpeg 1350w, https://miro.medium.com/max/3240/1*tfZD-KB2jIXjAsNhFWwANA.jpeg 1620w, https://miro.medium.com/max/3780/1*tfZD-KB2jIXjAsNhFWwANA.jpeg 1890w, https://miro.medium.com/max/4320/1*tfZD-KB2jIXjAsNhFWwANA.jpeg 2160w, https://miro.medium.com/max/4800/1*tfZD-KB2jIXjAsNhFWwANA.jpeg 2400w" sizes="100vw"/></noscript></div></div></div></figure></div>
<div class="n p">
<div class="ab ac ae af ag dl ai aj"><p id="0342" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">Then they announced it’s coming to the built-in camera app.</p><p id="c3f8" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">Many developers in our shoes would freak out, thinking Apple wants to gobble up their customers. We were just confused.</p><p id="59f9" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">Apple builds products for the broadest possible audience, and RAW is a tool for photo-nerds. These powerful files take skill to edit and come with significant tradeoffs. Why would Apple cram a complicated feature into an app meant for everyone?</p><p id="e76a" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">As we dug deeper into ProRAW, we realized it wasn’t just about making RAW more powerful. It’s about making RAW approachable. ProRAW could very well change how everyone shoots and edits photos, beginners and experts alike.</p><p id="d908" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">To understand what makes it so special, the first half of this post explains how a digital camera develops a photo. Then we go on to explain the strengths and weaknesses of traditional RAWs. Finally, we dive into what’s unique about ProRAW, how it changes the game, and its few remaining drawbacks.</p><p id="8c99" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">Grab a coffee, because this is a long read.</p><h1 id="7b37" class="id ie do cf if ig ih gn ii ij ik gr il im in io ip iq ir is it iu iv iw ix iy el">A Short Tour Through a Digital Camera</h1><p id="d544" class="gi gj do gk b gl iz gn go gp ja gr gs gt jb gv gw gx jc gz ha hb jd hd he hf dg el">Imagine you’re looking at this scene through your camera.</p><figure class="hh hi hj hk hl hg cy cz paragraph-image">
<div role="button" tabindex="0" class="hm hn ho hp aj hq">
<div class="cy cz je">
<div class="hw s ho hx">
<div class="jf hz s">
<div class="hr hs t u v ht aj bl hu hv"><img alt="Image for post" class="t u v ht aj ia ib ic" src="https://miro.medium.com/max/46/1*w2cp8OmPzmfqfc3K4QXHMQ.jpeg?q=20" width="1512" height="2016"/></div><img alt="Image for post" class="hr hs t u v ht aj c" width="1512" height="2016"/><noscript><img alt="Image for post" class="t u v ht aj" src="https://miro.medium.com/max/3024/1*w2cp8OmPzmfqfc3K4QXHMQ.jpeg" width="1512" height="2016" srcSet="https://miro.medium.com/max/552/1*w2cp8OmPzmfqfc3K4QXHMQ.jpeg 276w, https://miro.medium.com/max/1104/1*w2cp8OmPzmfqfc3K4QXHMQ.jpeg 552w, https://miro.medium.com/max/1280/1*w2cp8OmPzmfqfc3K4QXHMQ.jpeg 640w, https://miro.medium.com/max/1400/1*w2cp8OmPzmfqfc3K4QXHMQ.jpeg 700w" sizes="700px"/></noscript></div></div></div></div></figure><p id="c734" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">When you tap the camera button on your camera, light passes through a series of optics and lands on a digital sensor where it is captured.</p></div></div>
<div class="hg">
<div class="n p">
<div class="jg jh ji jj jk jl af jm ag jn ai aj"><figure class="hh hi hj hk hl hg jp jq paragraph-image">
<div role="button" tabindex="0" class="hm hn ho hp aj hq">
<div class="cy cz jo">
<div class="hw s ho hx">
<div class="hy hz s">
<div class="hr hs t u v ht aj bl hu hv"><img alt="Image for post" class="t u v ht aj ia ib ic" src="https://miro.medium.com/max/60/1*h0tUHkeVGQ6DO1gKHfUU6A.png?q=20" width="3000" height="1500"/></div><img alt="Image for post" class="hr hs t u v ht aj c" width="3000" height="1500"/><noscript><img alt="Image for post" class="t u v ht aj" src="https://miro.medium.com/max/6000/1*h0tUHkeVGQ6DO1gKHfUU6A.png" width="3000" height="1500" srcSet="https://miro.medium.com/max/552/1*h0tUHkeVGQ6DO1gKHfUU6A.png 276w, https://miro.medium.com/max/1104/1*h0tUHkeVGQ6DO1gKHfUU6A.png 552w, https://miro.medium.com/max/1280/1*h0tUHkeVGQ6DO1gKHfUU6A.png 640w, https://miro.medium.com/max/1456/1*h0tUHkeVGQ6DO1gKHfUU6A.png 728w, https://miro.medium.com/max/1632/1*h0tUHkeVGQ6DO1gKHfUU6A.png 816w, https://miro.medium.com/max/1808/1*h0tUHkeVGQ6DO1gKHfUU6A.png 904w, https://miro.medium.com/max/1984/1*h0tUHkeVGQ6DO1gKHfUU6A.png 992w, https://miro.medium.com/max/2000/1*h0tUHkeVGQ6DO1gKHfUU6A.png 1000w" sizes="1000px"/></noscript></div></div></div></div></figure></div></div></div>
<div class="n p">
<div class="ab ac ae af ag dl ai aj"><p id="8f4e" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">We’re going to talk through the three important steps that take place as your camera converts sensor values into a picture.</p><h2 id="4d27" class="jr ie do cf if js jt ju ii jv jw jx il jy jz ka ip kb kc kd it ke kf kg ix kh el">Step 1: Demosaic</h2><p id="e4fb" class="gi gj do gk b gl iz gn go gp ja gr gs gt jb gv gw gx jc gz ha hb jd hd he hf dg el">Your digital sensor absorbs light and turns it into numbers. The more light it sees, the higher the number.</p><figure class="hh hi hj hk hl hg cy cz paragraph-image">
<div role="button" tabindex="0" class="hm hn ho hp aj hq">
<div class="cy cz je">
<div class="hw s ho hx">
<div class="jf hz s">
<div class="hr hs t u v ht aj bl hu hv"><img alt="Image for post" class="t u v ht aj ia ib ic" src="https://miro.medium.com/max/46/1*4U6Q8jnQiSdoZn59hcjWfA.jpeg?q=20" width="1512" height="2016"/></div><img alt="Image for post" class="hr hs t u v ht aj c" width="1512" height="2016"/><noscript><img alt="Image for post" class="t u v ht aj" src="https://miro.medium.com/max/3024/1*4U6Q8jnQiSdoZn59hcjWfA.jpeg" width="1512" height="2016" srcSet="https://miro.medium.com/max/552/1*4U6Q8jnQiSdoZn59hcjWfA.jpeg 276w, https://miro.medium.com/max/1104/1*4U6Q8jnQiSdoZn59hcjWfA.jpeg 552w, https://miro.medium.com/max/1280/1*4U6Q8jnQiSdoZn59hcjWfA.jpeg 640w, https://miro.medium.com/max/1400/1*4U6Q8jnQiSdoZn59hcjWfA.jpeg 700w" sizes="700px"/></noscript></div></div></div></div></figure><p id="503d" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">I used black and white for a reason — digital sensors are totally colorblind. In 1976, a clever engineer at Kodak found a solution: put a grid of color filters over the sensor, so every pixel sees either red, green, or blue.</p><figure class="hh hi hj hk hl hg cy cz paragraph-image">
<div role="button" tabindex="0" class="hm hn ho hp aj hq">
<div class="cy cz ki">
<div class="hw s ho hx">
<div class="kj hz s">
<div class="hr hs t u v ht aj bl hu hv"><img alt="Image for post" class="t u v ht aj ia ib ic" src="https://miro.medium.com/max/60/1*YpY7tmiCxOL11eOnyODz7A.png?q=20" width="2560" height="1664"/></div><img alt="Image for post" class="hr hs t u v ht aj c" width="2560" height="1664"/><noscript><img alt="Image for post" class="t u v ht aj" src="https://miro.medium.com/max/5120/1*YpY7tmiCxOL11eOnyODz7A.png" width="2560" height="1664" srcSet="https://miro.medium.com/max/552/1*YpY7tmiCxOL11eOnyODz7A.png 276w, https://miro.medium.com/max/1104/1*YpY7tmiCxOL11eOnyODz7A.png 552w, https://miro.medium.com/max/1280/1*YpY7tmiCxOL11eOnyODz7A.png 640w, https://miro.medium.com/max/1400/1*YpY7tmiCxOL11eOnyODz7A.png 700w" sizes="700px"/></noscript></div></div></div></div></figure><p id="e0ec" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">This mosaic pattern is called a Bayer pattern, named after its inventor, Bruce Bayer. With a color filter in place, our sensor now sees a grid of alternating colors. Let’s zoom in on the leaves of the tree, and see what the sensor sees.</p><figure class="hh hi hj hk hl hg cy cz paragraph-image">
<div class="cy cz kk">
<div class="hw s ho hx">
<div class="kl hz s">
<div class="hr hs t u v ht aj bl hu hv"><img alt="Image for post" class="t u v ht aj ia ib ic" src="https://miro.medium.com/max/60/1*UaFk3pbG95R8uYHHd8G8xw.png?q=20" width="600" height="600"/></div><img alt="Image for post" class="hr hs t u v ht aj c" width="600" height="600"/><noscript><img alt="Image for post" class="t u v ht aj" src="https://miro.medium.com/max/1200/1*UaFk3pbG95R8uYHHd8G8xw.png" width="600" height="600" srcSet="https://miro.medium.com/max/552/1*UaFk3pbG95R8uYHHd8G8xw.png 276w, https://miro.medium.com/max/1104/1*UaFk3pbG95R8uYHHd8G8xw.png 552w, https://miro.medium.com/max/1200/1*UaFk3pbG95R8uYHHd8G8xw.png 600w" sizes="600px"/></noscript></div></div></div></figure><p id="0b79" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">Each pixel is either red, green or blue. We figure out the real colors by going over every pixel, looking at its neighbors, and guessing its two missing colors. This crucial step is known as “<a href="https://en.wikipedia.org/wiki/Demosaicing" class="cl km" target="_blank" rel="noopener">demosaicing</a>,” or “debayering.”</p><p id="f759" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">It’s a tricky problem. Compare a simple algorithm to a higher quality one, and you’ll spot problems like purple fringes.</p></div></div>
<div class="hg">
<div class="n p">
<div class="jg jh ji jj jk jl af jm ag jn ai aj"><figure class="hh hi hj hk hl hg jp jq paragraph-image">
<div role="button" tabindex="0" class="hm hn ho hp aj hq">
<div class="cy cz kn">
<div class="hw s ho hx">
<div class="ko hz s">
<div class="hr hs t u v ht aj bl hu hv"><img alt="Image for post" class="t u v ht aj ia ib ic" src="https://miro.medium.com/max/60/1*wPzwzg_jz0xA-TydcZa_Lg.jpeg?q=20" width="1800" height="600"/></div><img alt="Image for post" class="hr hs t u v ht aj c" width="1800" height="600"/><noscript><img alt="Image for post" class="t u v ht aj" src="https://miro.medium.com/max/3600/1*wPzwzg_jz0xA-TydcZa_Lg.jpeg" width="1800" height="600" srcSet="https://miro.medium.com/max/552/1*wPzwzg_jz0xA-TydcZa_Lg.jpeg 276w, https://miro.medium.com/max/1104/1*wPzwzg_jz0xA-TydcZa_Lg.jpeg 552w, https://miro.medium.com/max/1280/1*wPzwzg_jz0xA-TydcZa_Lg.jpeg 640w, https://miro.medium.com/max/1456/1*wPzwzg_jz0xA-TydcZa_Lg.jpeg 728w, https://miro.medium.com/max/1632/1*wPzwzg_jz0xA-TydcZa_Lg.jpeg 816w, https://miro.medium.com/max/1808/1*wPzwzg_jz0xA-TydcZa_Lg.jpeg 904w, https://miro.medium.com/max/1984/1*wPzwzg_jz0xA-TydcZa_Lg.jpeg 992w, https://miro.medium.com/max/2000/1*wPzwzg_jz0xA-TydcZa_Lg.jpeg 1000w" sizes="1000px"/></noscript></div></div></div></div><figcaption class="kp kq da cy cz kr ks cf b ev ch ci">Middle: A fast algorithm. Right: a higher quality one.</figcaption></figure></div></div></div>
<div class="n p">
<div class="ab ac ae af ag dl ai aj"><p id="7c7e" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">Look at the pebbles in the shot. The fast algorithm is a little more “pixely.”</p><figure class="hh hi hj hk hl hg cy cz paragraph-image">
<div role="button" tabindex="0" class="hm hn ho hp aj hq">
<div class="cy cz kt">
<div class="hw s ho hx">
<div class="hy hz s">
<div class="hr hs t u v ht aj bl hu hv"><img alt="Image for post" class="t u v ht aj ia ib ic" src="https://miro.medium.com/max/60/1*dnBVd9aUeky6f1Ckl_M2GQ.jpeg?q=20" width="960" height="480"/></div><img alt="Image for post" class="hr hs t u v ht aj c" width="960" height="480"/><noscript><img alt="Image for post" class="t u v ht aj" src="https://miro.medium.com/max/1920/1*dnBVd9aUeky6f1Ckl_M2GQ.jpeg" width="960" height="480" srcSet="https://miro.medium.com/max/552/1*dnBVd9aUeky6f1Ckl_M2GQ.jpeg 276w, https://miro.medium.com/max/1104/1*dnBVd9aUeky6f1Ckl_M2GQ.jpeg 552w, https://miro.medium.com/max/1280/1*dnBVd9aUeky6f1Ckl_M2GQ.jpeg 640w, https://miro.medium.com/max/1400/1*dnBVd9aUeky6f1Ckl_M2GQ.jpeg 700w" sizes="700px"/></noscript></div></div></div></div><figcaption class="kp kq da cy cz kr ks cf b ev ch ci">Left: Fast Right: High Quality</figcaption></figure><p id="9ccc" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">There are quite a few popular demosaic algorithms to choose from, each with strengths and weaknesses. The perfect algorithm depends on the type of sensor, your camera settings, and even the subject matter. For example, if you’re shooting the night sky, some algorithms produce better results on stars.</p><p id="0ba2" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">After demosaic, we end up with…</p><figure class="hh hi hj hk hl hg cy cz paragraph-image">
<div role="button" tabindex="0" class="hm hn ho hp aj hq">
<div class="cy cz je">
<div class="hw s ho hx">
<div class="jf hz s">
<div class="hr hs t u v ht aj bl hu hv"><img alt="Image for post" class="t u v ht aj ia ib ic" src="https://miro.medium.com/max/46/1*KsiUoBU9r4AuQT91N4v23Q.png?q=20" width="1512" height="2016"/></div><img alt="Image for post" class="hr hs t u v ht aj c" width="1512" height="2016"/><noscript><img alt="Image for post" class="t u v ht aj" src="https://miro.medium.com/max/3024/1*KsiUoBU9r4AuQT91N4v23Q.png" width="1512" height="2016" srcSet="https://miro.medium.com/max/552/1*KsiUoBU9r4AuQT91N4v23Q.png 276w, https://miro.medium.com/max/1104/1*KsiUoBU9r4AuQT91N4v23Q.png 552w, https://miro.medium.com/max/1280/1*KsiUoBU9r4AuQT91N4v23Q.png 640w, https://miro.medium.com/max/1400/1*KsiUoBU9r4AuQT91N4v23Q.png 700w" sizes="700px"/></noscript></div></div></div></div><figcaption class="kp kq da cy cz kr ks cf b ev ch ci">(Simulated results to keep things simple)</figcaption></figure><p id="9beb" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">That’s not great. As you can see, the color and exposure are off.</p><p id="1781" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">There’s nothing wrong with your camera. Quite the opposite: your camera captures way more information than your screen can display. We have to take those sensor readings, which measures the light from your <strong class="gk ku">scene</strong>, and transform them into pixel values that light up your <strong class="gk ku">display</strong>.</p><h2 id="77f2" class="jr ie do cf if js jt ju ii jv jw jx il jy jz ka ip kb kc kd it ke kf kg ix kh el">Step 2: Transform from Scene to Display</h2><p id="9532" class="gi gj do gk b gl iz gn go gp ja gr gs gt jb gv gw gx jc gz ha hb jd hd he hf dg el">Let’s start with color. The following chart represents all the colors a human can see, and the triangle in the middle covers what most screens can display.</p></div></div>
<div class="hg">
<div class="n p">
<div class="jg jh ji jj jk jl af jm ag jn ai aj"><figure class="hh hi hj hk hl hg jp jq paragraph-image">
<div role="button" tabindex="0" class="hm hn ho hp aj hq">
<div class="cy cz kv">
<div class="hw s ho hx">
<div class="kw hz s">
<div class="hr hs t u v ht aj bl hu hv"><img alt="Image for post" class="t u v ht aj ia ib ic" src="https://miro.medium.com/max/60/1*aj7B542Qbk9uCeaB7rCitA.jpeg?q=20" width="2525" height="1275"/></div><img alt="Image for post" class="hr hs t u v ht aj c" width="2525" height="1275"/><noscript><img alt="Image for post" class="t u v ht aj" src="https://miro.medium.com/max/5050/1*aj7B542Qbk9uCeaB7rCitA.jpeg" width="2525" height="1275" srcSet="https://miro.medium.com/max/552/1*aj7B542Qbk9uCeaB7rCitA.jpeg 276w, https://miro.medium.com/max/1104/1*aj7B542Qbk9uCeaB7rCitA.jpeg 552w, https://miro.medium.com/max/1280/1*aj7B542Qbk9uCeaB7rCitA.jpeg 640w, https://miro.medium.com/max/1456/1*aj7B542Qbk9uCeaB7rCitA.jpeg 728w, https://miro.medium.com/max/1632/1*aj7B542Qbk9uCeaB7rCitA.jpeg 816w, https://miro.medium.com/max/1808/1*aj7B542Qbk9uCeaB7rCitA.jpeg 904w, https://miro.medium.com/max/1984/1*aj7B542Qbk9uCeaB7rCitA.jpeg 992w, https://miro.medium.com/max/2000/1*aj7B542Qbk9uCeaB7rCitA.jpeg 1000w" sizes="1000px"/></noscript></div></div></div></div></figure></div></div></div>
<div class="n p">
<div class="ab ac ae af ag dl ai aj"><p id="f67a" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">When your camera<em class="kx"> </em>captures colors outside the triangle, we have to push and pull those invalid colors to fit inside.</p><p id="9af7" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">One detail makes this especially tricky: deciding which white is “true” white. If you’ve ever shopped for light bulbs, you know every white light in the real world has a slight yellow or blue tint. Our brains adjust our perception of white, based on hints in our surroundings. It’s called <a href="https://en.wikipedia.org/wiki/Color_constancy" class="cl km" target="_blank" rel="noopener">color constancy</a>, and it’s why this yellow/blue dress optical illusion fools people.</p><figure class="hh hi hj hk hl hg cy cz paragraph-image">
<div role="button" tabindex="0" class="hm hn ho hp aj hq">
<div class="cy cz ky">
<div class="hw s ho hx">
<div class="kz hz s">
<div class="hr hs t u v ht aj bl hu hv"><img alt="Image for post" class="t u v ht aj ia ib ic" src="https://miro.medium.com/max/60/1*FcQhGavMhNpcrHlHIk0_uA.png?q=20" width="1200" height="900"/></div><img alt="Image for post" class="hr hs t u v ht aj c" width="1200" height="900"/><noscript><img alt="Image for post" class="t u v ht aj" src="https://miro.medium.com/max/2400/1*FcQhGavMhNpcrHlHIk0_uA.png" width="1200" height="900" srcSet="https://miro.medium.com/max/552/1*FcQhGavMhNpcrHlHIk0_uA.png 276w, https://miro.medium.com/max/1104/1*FcQhGavMhNpcrHlHIk0_uA.png 552w, https://miro.medium.com/max/1280/1*FcQhGavMhNpcrHlHIk0_uA.png 640w, https://miro.medium.com/max/1400/1*FcQhGavMhNpcrHlHIk0_uA.png 700w" sizes="700px"/></noscript></div></div></div></div><figcaption class="kp kq da cy cz kr ks cf b ev ch ci"><a href="https://en.wikipedia.org/wiki/The_dress" class="cl km" target="_blank" rel="noopener">The Dress</a></figcaption></figure><p id="48ec" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">Modern cameras are very good at figuring out the white point in most situations. So we pick our white point, run the math, and end up with a perfectly white-balanced image.</p><figure class="hh hi hj hk hl hg cy cz paragraph-image">
<div role="button" tabindex="0" class="hm hn ho hp aj hq">
<div class="cy cz je">
<div class="hw s ho hx">
<div class="jf hz s">
<div class="hr hs t u v ht aj bl hu hv"><img alt="Image for post" class="t u v ht aj ia ib ic" src="https://miro.medium.com/max/46/1*JBl1Ib7wqrxsyukaHBA1TA.png?q=20" width="1512" height="2016"/></div><img alt="Image for post" class="hr hs t u v ht aj c" width="1512" height="2016"/><noscript><img alt="Image for post" class="t u v ht aj" src="https://miro.medium.com/max/3024/1*JBl1Ib7wqrxsyukaHBA1TA.png" width="1512" height="2016" srcSet="https://miro.medium.com/max/552/1*JBl1Ib7wqrxsyukaHBA1TA.png 276w, https://miro.medium.com/max/1104/1*JBl1Ib7wqrxsyukaHBA1TA.png 552w, https://miro.medium.com/max/1280/1*JBl1Ib7wqrxsyukaHBA1TA.png 640w, https://miro.medium.com/max/1400/1*JBl1Ib7wqrxsyukaHBA1TA.png 700w" sizes="700px"/></noscript></div></div></div></div></figure><p id="daf0" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">That looks pretty close to what we saw, but the awning in the top of the frame is under-exposed.</p><figure class="hh hi hj hk hl hg cy cz paragraph-image">
<div class="cy cz la">
<div class="hw s ho hx">
<div class="kl hz s">
<div class="hr hs t u v ht aj bl hu hv"><img alt="Image for post" class="t u v ht aj ia ib ic" src="https://miro.medium.com/max/60/1*WwDfyRYXScdIPBlf8ZCm5Q.png?q=20" width="563" height="563"/></div><img alt="Image for post" class="hr hs t u v ht aj c" width="563" height="563"/><noscript><img alt="Image for post" class="t u v ht aj" src="https://miro.medium.com/max/1126/1*WwDfyRYXScdIPBlf8ZCm5Q.png" width="563" height="563" srcSet="https://miro.medium.com/max/552/1*WwDfyRYXScdIPBlf8ZCm5Q.png 276w, https://miro.medium.com/max/1104/1*WwDfyRYXScdIPBlf8ZCm5Q.png 552w, https://miro.medium.com/max/1126/1*WwDfyRYXScdIPBlf8ZCm5Q.png 563w" sizes="563px"/></noscript></div></div></div></figure><p id="9505" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">Let’s turn up the exposure to bring out detail…</p><figure class="hh hi hj hk hl hg cy cz paragraph-image">
<div role="button" tabindex="0" class="hm hn ho hp aj hq">
<div class="cy cz je">
<div class="hw s ho hx">
<div class="jf hz s">
<div class="hr hs t u v ht aj bl hu hv"><img alt="Image for post" class="t u v ht aj ia ib ic" src="https://miro.medium.com/max/46/1*99yfqbgXyF13DM8ooEJaLQ.png?q=20" width="1512" height="2016"/></div><img alt="Image for post" class="hr hs t u v ht aj c" width="1512" height="2016"/><noscript><img alt="Image for post" class="t u v ht aj" src="https://miro.medium.com/max/3024/1*99yfqbgXyF13DM8ooEJaLQ.png" width="1512" height="2016" srcSet="https://miro.medium.com/max/552/1*99yfqbgXyF13DM8ooEJaLQ.png 276w, https://miro.medium.com/max/1104/1*99yfqbgXyF13DM8ooEJaLQ.png 552w, https://miro.medium.com/max/1280/1*99yfqbgXyF13DM8ooEJaLQ.png 640w, https://miro.medium.com/max/1400/1*99yfqbgXyF13DM8ooEJaLQ.png 700w" sizes="700px"/></noscript></div></div></div></div></figure><p id="6e98" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">… but unfortunately, now the rest of the image is too bright.</p><p id="b4c6" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">The technical name for this problem is “dynamic range.” It’s range of light you can capture or display at one time, measured from the brightest bright to the darkest shadow. You’ll frequently hear this range measured in “stops.”</p><p id="56b9" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">Ever see terms like ‘HDR’ or ‘XDR’ being thrown around? The “DR” in “HDR” stands for Dynamic Range. People make quite a fuss about it. This is an especially difficult problem in technology, because the human eye is <strong class="gk ku">incredibly good</strong>.</p><p id="72ef" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">It’s easily the most powerful camera in the world, as it can see up to 30 stops of dynamic range. Most screens can <em class="kx">display</em> 8 stops. Digital cameras capture up to 15 stops. When we try to display all this information on a screen with lower dynamic range, it’s going to look wrong, sometimes in unexpected ways.</p><p id="8e48" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">Notice the sky has weird patch of cyan, caused by one of the color channels clipping.</p><figure class="hh hi hj hk hl hg cy cz paragraph-image">
<div role="button" tabindex="0" class="hm hn ho hp aj hq">
<div class="cy cz lb">
<div class="hw s ho hx">
<div class="lc hz s">
<div class="hr hs t u v ht aj bl hu hv"><img alt="Image for post" class="t u v ht aj ia ib ic" src="https://miro.medium.com/max/60/1*2wHP6e5hrIxrHXyJ7Pcc1g.png?q=20" width="864" height="328"/></div><img alt="Image for post" class="hr hs t u v ht aj c" width="864" height="328"/><noscript><img alt="Image for post" class="t u v ht aj" src="https://miro.medium.com/max/1728/1*2wHP6e5hrIxrHXyJ7Pcc1g.png" width="864" height="328" srcSet="https://miro.medium.com/max/552/1*2wHP6e5hrIxrHXyJ7Pcc1g.png 276w, https://miro.medium.com/max/1104/1*2wHP6e5hrIxrHXyJ7Pcc1g.png 552w, https://miro.medium.com/max/1280/1*2wHP6e5hrIxrHXyJ7Pcc1g.png 640w, https://miro.medium.com/max/1400/1*2wHP6e5hrIxrHXyJ7Pcc1g.png 700w" sizes="700px"/></noscript></div></div></div></div></figure><p id="089e" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">The solution to our dynamic range problem is a little more complicated than bringing up shadows and turning down highlights everywhere. That would make the whole image feel flat.</p><p id="9dfc" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">Instead, you want to darken and lighten small areas of the image. Fifty years ago, photographers took hours to tweak their negatives using a process called “dodging and burning.”</p><p id="5f1b" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">Today it’s called “local tone mapping.”</p></div></div>
<div class="hg">
<div class="n p">
<div class="jg jh ji jj jk jl af jm ag jn ai aj"><figure class="hh hi hj hk hl hg jp jq paragraph-image">
<div role="button" tabindex="0" class="hm hn ho hp aj hq">
<div class="cy cz ld">
<div class="hw s ho hx">
<div class="le hz s">
<div class="hr hs t u v ht aj bl hu hv"><img alt="Image for post" class="t u v ht aj ia ib ic" src="https://miro.medium.com/max/60/1*3-FXfKG16GUFHMOLOmXMKg.jpeg?q=20" width="3024" height="2016"/></div><img alt="Image for post" class="hr hs t u v ht aj c" width="3024" height="2016"/><noscript><img alt="Image for post" class="t u v ht aj" src="https://miro.medium.com/max/6048/1*3-FXfKG16GUFHMOLOmXMKg.jpeg" width="3024" height="2016" srcSet="https://miro.medium.com/max/552/1*3-FXfKG16GUFHMOLOmXMKg.jpeg 276w, https://miro.medium.com/max/1104/1*3-FXfKG16GUFHMOLOmXMKg.jpeg 552w, https://miro.medium.com/max/1280/1*3-FXfKG16GUFHMOLOmXMKg.jpeg 640w, https://miro.medium.com/max/1456/1*3-FXfKG16GUFHMOLOmXMKg.jpeg 728w, https://miro.medium.com/max/1632/1*3-FXfKG16GUFHMOLOmXMKg.jpeg 816w, https://miro.medium.com/max/1808/1*3-FXfKG16GUFHMOLOmXMKg.jpeg 904w, https://miro.medium.com/max/1984/1*3-FXfKG16GUFHMOLOmXMKg.jpeg 992w, https://miro.medium.com/max/2000/1*3-FXfKG16GUFHMOLOmXMKg.jpeg 1000w" sizes="1000px"/></noscript></div></div></div></div><figcaption class="kp kq da cy cz kr ks cf b ev ch ci">The image on the right has some gentle tone mapping applied.</figcaption></figure></div></div></div>
<div class="n p">
<div class="ab ac ae af ag dl ai aj"><p id="def0" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">With that, our image looks great.</p><p id="8c4a" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">Let’s go ahead email it to our friends… oh, oops it’s 100 megabytes. The image still contains all that data we can’t see. Luckily, we don’t need all of that data now that we’re done editing.</p><h2 id="9399" class="jr ie do cf if js jt ju ii jv jw jx il jy jz ka ip kb kc kd it ke kf kg ix kh el">Step 3: Optimize</h2><p id="0e8a" class="gi gj do gk b gl iz gn go gp ja gr gs gt jb gv gw gx jc gz ha hb jd hd he hf dg el">In computer graphics, if you use more bits, your math gets more accurate. While editing, we needed to use 64-bits per pixel to get nice results. Once we’re done editing we can cut it down to 32-bits — halving our file size — and nobody can tell the difference.</p><p id="9792" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">Next, we can throw out most of our color information. This cuts it in half <em class="kx">again</em>.</p><p id="037f" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">Finally, we can apply something called ‘lossy compression’ — the kind you find in JPEGs. We end up with an image that’s only 1.6 mb to share with our friends.</p></div></div>
<div class="hg">
<div class="n p">
<div class="jg jh ji jj jk jl af jm ag jn ai aj"><figure class="hh hi hj hk hl hg jp jq paragraph-image">
<div role="button" tabindex="0" class="hm hn ho hp aj hq">
<div class="cy cz jo">
<div class="hw s ho hx">
<div class="hy hz s">
<div class="hr hs t u v ht aj bl hu hv"><img alt="Image for post" class="t u v ht aj ia ib ic" src="https://miro.medium.com/max/60/1*mt0D2vrarvjazruDvYK7iw.png?q=20" width="3000" height="1500"/></div><img alt="Image for post" class="hr hs t u v ht aj c" width="3000" height="1500"/><noscript><img alt="Image for post" class="t u v ht aj" src="https://miro.medium.com/max/6000/1*mt0D2vrarvjazruDvYK7iw.png" width="3000" height="1500" srcSet="https://miro.medium.com/max/552/1*mt0D2vrarvjazruDvYK7iw.png 276w, https://miro.medium.com/max/1104/1*mt0D2vrarvjazruDvYK7iw.png 552w, https://miro.medium.com/max/1280/1*mt0D2vrarvjazruDvYK7iw.png 640w, https://miro.medium.com/max/1456/1*mt0D2vrarvjazruDvYK7iw.png 728w, https://miro.medium.com/max/1632/1*mt0D2vrarvjazruDvYK7iw.png 816w, https://miro.medium.com/max/1808/1*mt0D2vrarvjazruDvYK7iw.png 904w, https://miro.medium.com/max/1984/1*mt0D2vrarvjazruDvYK7iw.png 992w, https://miro.medium.com/max/2000/1*mt0D2vrarvjazruDvYK7iw.png 1000w" sizes="1000px"/></noscript></div></div></div></div></figure></div></div></div>
<div class="n p">
<div class="ab ac ae af ag dl ai aj"><p id="8ba9" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">Phew. Take a breath, and let all that sink in. When you’re ready, we can finally answer…</p><h1 id="098d" class="id ie do cf if ig ih gn ii ij ik gr il im in io ip iq ir is it iu iv iw ix iy el"><strong class="az">What is RAW? Why is it Magic?</strong></h1><p id="dc70" class="gi gj do gk b gl iz gn go gp ja gr gs gt jb gv gw gx jc gz ha hb jd hd he hf dg el">We just <strong class="gk ku">developed</strong> a photo. Every step in development is destructive, meaning we lose information. For example, in Step 2, once you shift colors around to fit into that triangle, you can never figure out the original, real-world colors.</p><p id="7f4c" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">So what happens when mistakes are made? Let’s go back to California’s recent wildfires that <a href="https://www.nytimes.com/2020/09/09/us/pictures-photos-california-fires.html" class="cl km" target="_blank" rel="noopener">turned the sky orange</a>. I took a photo with a color chart at the time, figuring it would come in handy someday.</p><p id="197b" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">In real life, it looked like this:</p><figure class="hh hi hj hk hl hg cy cz paragraph-image">
<div role="button" tabindex="0" class="hm hn ho hp aj hq">
<div class="cy cz lf">
<div class="hw s ho hx">
<div class="kz hz s">
<div class="hr hs t u v ht aj bl hu hv"><img alt="Image for post" class="t u v ht aj ia ib ic" src="https://miro.medium.com/max/60/1*2VfJISrXMInRKX85P3Szhw.jpeg?q=20" width="2048" height="1536"/></div><img alt="Image for post" class="hr hs t u v ht aj c" width="2048" height="1536"/><noscript><img alt="Image for post" class="t u v ht aj" src="https://miro.medium.com/max/4096/1*2VfJISrXMInRKX85P3Szhw.jpeg" width="2048" height="1536" srcSet="https://miro.medium.com/max/552/1*2VfJISrXMInRKX85P3Szhw.jpeg 276w, https://miro.medium.com/max/1104/1*2VfJISrXMInRKX85P3Szhw.jpeg 552w, https://miro.medium.com/max/1280/1*2VfJISrXMInRKX85P3Szhw.jpeg 640w, https://miro.medium.com/max/1400/1*2VfJISrXMInRKX85P3Szhw.jpeg 700w" sizes="700px"/></noscript></div></div></div></div></figure><p id="8f9c" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">The built-in camera app was confused by that orange sky, and tried to make everything neutral — because that’s what the world usually looks like. People were confused to find their cameras refused to take an image of the world as they saw it.</p><figure class="hh hi hj hk hl hg cy cz paragraph-image">
<div role="button" tabindex="0" class="hm hn ho hp aj hq">
<div class="cy cz lf">
<div class="hw s ho hx">
<div class="kz hz s">
<div class="hr hs t u v ht aj bl hu hv"><img alt="Image for post" class="t u v ht aj ia ib ic" src="https://miro.medium.com/max/60/1*oNgdi0nr93vU6ozzkB8l2g.jpeg?q=20" width="2048" height="1536"/></div><img alt="Image for post" class="hr hs t u v ht aj c" width="2048" height="1536"/><noscript><img alt="Image for post" class="t u v ht aj" src="https://miro.medium.com/max/4096/1*oNgdi0nr93vU6ozzkB8l2g.jpeg" width="2048" height="1536" srcSet="https://miro.medium.com/max/552/1*oNgdi0nr93vU6ozzkB8l2g.jpeg 276w, https://miro.medium.com/max/1104/1*oNgdi0nr93vU6ozzkB8l2g.jpeg 552w, https://miro.medium.com/max/1280/1*oNgdi0nr93vU6ozzkB8l2g.jpeg 640w, https://miro.medium.com/max/1400/1*oNgdi0nr93vU6ozzkB8l2g.jpeg 700w" sizes="700px"/></noscript></div></div></div></div></figure><p id="28ae" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">A lot of folks used manual settings to override their camera’s automatic white balancing, but let’s say you didn’t. I’ll take that incorrect JPEG into an image editor like Lightroom and try to match it back to the original…</p><figure class="hh hi hj hk hl hg cy cz paragraph-image">
<div role="button" tabindex="0" class="hm hn ho hp aj hq">
<div class="cy cz lf">
<div class="hw s ho hx">
<div class="lg hz s">
<div class="hr hs t u v ht aj bl hu hv"><img alt="Image for post" class="t u v ht aj ia ib ic" src="https://miro.medium.com/max/60/1*0IYpHEDlusoF171jVWsoMw.jpeg?q=20" width="2048" height="768"/></div><img alt="Image for post" class="hr hs t u v ht aj c" width="2048" height="768"/><noscript><img alt="Image for post" class="t u v ht aj" src="https://miro.medium.com/max/4096/1*0IYpHEDlusoF171jVWsoMw.jpeg" width="2048" height="768" srcSet="https://miro.medium.com/max/552/1*0IYpHEDlusoF171jVWsoMw.jpeg 276w, https://miro.medium.com/max/1104/1*0IYpHEDlusoF171jVWsoMw.jpeg 552w, https://miro.medium.com/max/1280/1*0IYpHEDlusoF171jVWsoMw.jpeg 640w, https://miro.medium.com/max/1400/1*0IYpHEDlusoF171jVWsoMw.jpeg 700w" sizes="700px"/></noscript></div></div></div></div><figcaption class="kp kq da cy cz kr ks cf b ev ch ci">The actual scene on the left, and an attempt to adjust our poorly white-balanced image on the right.</figcaption></figure><p id="65ea" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">Hmm. Notice that how it’s messed up some colors, shifting blue to purple.</p><figure class="hh hi hj hk hl hg cy cz paragraph-image">
<div class="cy cz lh">
<div class="hw s ho hx">
<div class="li hz s">
<div class="hr hs t u v ht aj bl hu hv"><img alt="Image for post" class="t u v ht aj ia ib ic" src="https://miro.medium.com/max/60/1*sJwJVYYqkmU1Z21M4IJB4A.jpeg?q=20" width="622" height="301"/></div><img alt="Image for post" class="hr hs t u v ht aj c" width="622" height="301"/><noscript><img alt="Image for post" class="t u v ht aj" src="https://miro.medium.com/max/1244/1*sJwJVYYqkmU1Z21M4IJB4A.jpeg" width="622" height="301" srcSet="https://miro.medium.com/max/552/1*sJwJVYYqkmU1Z21M4IJB4A.jpeg 276w, https://miro.medium.com/max/1104/1*sJwJVYYqkmU1Z21M4IJB4A.jpeg 552w, https://miro.medium.com/max/1244/1*sJwJVYYqkmU1Z21M4IJB4A.jpeg 622w" sizes="622px"/></noscript></div></div></div></figure><p id="f24a" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">Trying to un-process a processed image like a JPEG is like trying to un-bake a cake. When your camera produces JPEGs, you’d better love the choices it made, because there’s no going back.</p><p id="1068" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">Now imagine if instead of saving a JPEG, your camera saved the original sensor values. Now you can make totally different processing decisions yourself, like white balance. You get the raw data.</p><p id="ca0b" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">Welcome to RAW files.</p><p id="0b8d" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">We have written about RAW a lot on this blog. We love it. Shooting RAW <a class="cl km" target="_blank" rel="noopener" href="/the-power-of-raw-on-iphone-part-1-shooting-raw-ef02becb7002">gives you magical powers</a>. With a few knobs, you can rescue photos that you thought were lost to poor exposure.</p><p id="1652" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">So far, we’ve only talked about mistakes, but RAWs also give you the freedom to experiment with radically different choices for artistic effect, letting you <strong class="gk ku">develop</strong> the photo so it looks how you experienced it.</p><figure class="hh hi hj hk hl hg cy cz paragraph-image">
<div role="button" tabindex="0" class="hm hn ho hp aj hq">
<div class="cy cz lj">
<div class="hw s ho hx">
<div class="lk hz s">
<div class="hr hs t u v ht aj bl hu hv"><img alt="Image for post" class="t u v ht aj ia ib ic" src="https://miro.medium.com/max/60/1*F-HXEeVByR8TXVwszChZkQ.jpeg?q=20" width="1400" height="933"/></div><img alt="Image for post" class="hr hs t u v ht aj c" width="1400" height="933"/><noscript><img alt="Image for post" class="t u v ht aj" src="https://miro.medium.com/max/2800/1*F-HXEeVByR8TXVwszChZkQ.jpeg" width="1400" height="933" srcSet="https://miro.medium.com/max/552/1*F-HXEeVByR8TXVwszChZkQ.jpeg 276w, https://miro.medium.com/max/1104/1*F-HXEeVByR8TXVwszChZkQ.jpeg 552w, https://miro.medium.com/max/1280/1*F-HXEeVByR8TXVwszChZkQ.jpeg 640w, https://miro.medium.com/max/1400/1*F-HXEeVByR8TXVwszChZkQ.jpeg 700w" sizes="700px"/></noscript></div></div></div></div><figcaption class="kp kq da cy cz kr ks cf b ev ch ci">These are the kind of edits that a RAW file enables.</figcaption></figure><p id="e4d4" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">Remember old film cameras? Their photos also had to be developed from a negative. RAW data is usually stored in the DNG file format, which stands for <strong class="gk ku">D</strong>igital <strong class="gk ku">N</strong>e<strong class="gk ku">g</strong>ative. Some camera makers have their own formats, but those companies are jerks.</p><p id="1643" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">DNG is an open standard, so anyone can build software that reads and writes DNGs. Best of all, the file format continues to evolve, as we’ll see shortly.</p><p id="5471" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">First, we have some bad news.</p><h2 id="696e" class="jr ie do cf if js jt ju ii jv jw jx il jy jz ka ip kb kc kd it ke kf kg ix kh el">RAWs are Great Until They Aren’t</h2><p id="8cfb" class="gi gj do gk b gl iz gn go gp ja gr gs gt jb gv gw gx jc gz ha hb jd hd he hf dg el">We make a <a href="http://halide.cam" class="cl km" target="_blank" rel="noopener">RAW camera app</a>, so of course we’re fans of RAW. That also means we get plenty of support emails about it. By far, the most common question is, “Why do my RAWs look worse than the built-in camera app?”</p><p id="84d1" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">iPhone cameras got a lot better over time. At first, these were leaps in hardware: better and bigger sensors and lenses allowed sharper shots. Eventually, though, the processors got faster and the cameras couldn’t get larger. The camera got smarter.</p><p id="99c1" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">iPhones take many photos and combine it into one shot, picking detail in the shadows from one photo, the right exposure on your dog’s face from another, and a few other ones for extra detail. This is merged into the final result in milliseconds without requiring any effort on your behalf. It’s very clever stuff, with cool names like Smart HDR and Deep Fusion.</p><p id="cd12" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">On the other hand, iPhone RAW files are still just one image. Which means they look quite… different.</p></div></div>
<div class="hg">
<div class="n p">
<div class="jg jh ji jj jk jl af jm ag jn ai aj"><figure class="hh hi hj hk hl hg jp jq paragraph-image">
<div role="button" tabindex="0" class="hm hn ho hp aj hq">
<div class="cy cz ll">
<div class="hw s ho hx">
<div class="lm hz s">
<div class="hr hs t u v ht aj bl hu hv"><img alt="Image for post" class="t u v ht aj ia ib ic" src="https://miro.medium.com/max/60/1*m6P-96kVDOdsqXt7tz7LDg.jpeg?q=20" width="4000" height="2400"/></div><img alt="Image for post" class="hr hs t u v ht aj c" width="4000" height="2400"/><noscript><img alt="Image for post" class="t u v ht aj" src="https://miro.medium.com/max/8000/1*m6P-96kVDOdsqXt7tz7LDg.jpeg" width="4000" height="2400" srcSet="https://miro.medium.com/max/552/1*m6P-96kVDOdsqXt7tz7LDg.jpeg 276w, https://miro.medium.com/max/1104/1*m6P-96kVDOdsqXt7tz7LDg.jpeg 552w, https://miro.medium.com/max/1280/1*m6P-96kVDOdsqXt7tz7LDg.jpeg 640w, https://miro.medium.com/max/1456/1*m6P-96kVDOdsqXt7tz7LDg.jpeg 728w, https://miro.medium.com/max/1632/1*m6P-96kVDOdsqXt7tz7LDg.jpeg 816w, https://miro.medium.com/max/1808/1*m6P-96kVDOdsqXt7tz7LDg.jpeg 904w, https://miro.medium.com/max/1984/1*m6P-96kVDOdsqXt7tz7LDg.jpeg 992w, https://miro.medium.com/max/2000/1*m6P-96kVDOdsqXt7tz7LDg.jpeg 1000w" sizes="1000px"/></noscript></div></div></div></div></figure></div></div></div>
<div class="n p">
<div class="ab ac ae af ag dl ai aj"><p id="f49b" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">If you’re coming from the built-in iPhone camera app, switching over to manual processing is like switching from a car with automatic transmission to a stick-shift.</p><p id="6947" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">There’s a steep learning curve, and that’s why we built something called “Instant RAW” into our latest Mark II update, so you don’t have to spend an afternoon in an image editor tweaking your shot to get a nice result.</p></div></div>
<div class="hg">
<div class="n p">
<div class="jg jh ji jj jk jl af jm ag jn ai aj"><figure class="hh hi hj hk hl hg jp jq paragraph-image">
<div role="button" tabindex="0" class="hm hn ho hp aj hq">
<div class="cy cz ln">
<div class="hw s ho hx">
<div class="lo hz s">
<div class="hr hs t u v ht aj bl hu hv"><img alt="Image for post" class="t u v ht aj ia ib ic" src="https://miro.medium.com/max/60/1*HvMYRDSzB0hSBNK7wW_F6g.png?q=20" width="6000" height="3029"/></div><img alt="Image for post" class="hr hs t u v ht aj c" width="6000" height="3029"/><noscript><img alt="Image for post" class="t u v ht aj" src="https://miro.medium.com/max/12000/1*HvMYRDSzB0hSBNK7wW_F6g.png" width="6000" height="3029" srcSet="https://miro.medium.com/max/552/1*HvMYRDSzB0hSBNK7wW_F6g.png 276w, https://miro.medium.com/max/1104/1*HvMYRDSzB0hSBNK7wW_F6g.png 552w, https://miro.medium.com/max/1280/1*HvMYRDSzB0hSBNK7wW_F6g.png 640w, https://miro.medium.com/max/1456/1*HvMYRDSzB0hSBNK7wW_F6g.png 728w, https://miro.medium.com/max/1632/1*HvMYRDSzB0hSBNK7wW_F6g.png 816w, https://miro.medium.com/max/1808/1*HvMYRDSzB0hSBNK7wW_F6g.png 904w, https://miro.medium.com/max/1984/1*HvMYRDSzB0hSBNK7wW_F6g.png 992w, https://miro.medium.com/max/2000/1*HvMYRDSzB0hSBNK7wW_F6g.png 1000w" sizes="1000px"/></noscript></div></div></div></div></figure></div></div></div>
<div class="n p">
<div class="ab ac ae af ag dl ai aj"><p id="c1c5" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">But even with Instant RAW or editing, sometimes RAWs still look different than what comes out of the built-in camera app, and it has nothing to do with your skills. RAWs lacks that critical piece of the puzzle: Apple’s smarts. Computational photography like Smart HDR and Deep Fusion.</p><p id="bef1" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">Even if Apple handed these algorithms to third-party apps, they work on <em class="kx">bursts</em> of photos, fusing together the best parts of each image. iPhone RAWs are 12mb each. If you want to reproduce the results of Apple’s camera using one of these algorithms, you’re looking at ten times the storage needed per photo.</p><p id="9ae4" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">Oh, and there’s one more problem: neither the front-facing camera or ultra-wide camera can shoot RAW.</p><p id="6e45" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">ProRAW elegantly solves all of these problems and more. You can finally reproduce the results of the first-party camera, while retaining most of the editing latitude from traditional RAWs.</p><h1 id="2b46" class="id ie do cf if ig ih gn ii ij ik gr il im in io ip iq ir is it iu iv iw ix iy el">Enter ProRAW</h1><p id="b9af" class="gi gj do gk b gl iz gn go gp ja gr gs gt jb gv gw gx jc gz ha hb jd hd he hf dg el">Technically, there’s no such thing as a ProRAW file. ProRAW images are regular DNG files that take advantage of some little known features in the specification, and introduce a few new ones.</p><p id="09d1" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">Remember how DNG is an open file format? Apple worked with Adobe to introduce a few new tags. DNG released the 1.6 specification, with details about these tags, the very day ProRAW went into public beta tests.</p><p id="c413" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">This may be surprising to some: ProRAW is not a proprietary or closed format. Credit where it is due: Apple deserves kudos for bringing their improvements to the DNG standard. When you shoot with ProRAW, there’s absolutely nothing locking your photos into the Apple ecosystem.</p><p id="52d0" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">Let’s dive into what makes ProRAW files different than RAWs of days past…</p><h2 id="d615" class="jr ie do cf if js jt ju ii jv jw jx il jy jz ka ip kb kc kd it ke kf kg ix kh el">Demosaic is Already Done</h2><p id="166f" class="gi gj do gk b gl iz gn go gp ja gr gs gt jb gv gw gx jc gz ha hb jd hd he hf dg el">ProRAWs store pixel values <em class="kx">after</em> the demosaic step. It’s like they took the output Step 1, from earlier, and stored those values. We’ll talk about why they’re doing this in a bit.</p></div></div>
<div class="hg">
<div class="n p">
<div class="jg jh ji jj jk jl af jm ag jn ai aj"><figure class="hh hi hj hk hl hg jp jq paragraph-image">
<div role="button" tabindex="0" class="hm hn ho hp aj hq">
<div class="cy cz jo">
<div class="hw s ho hx">
<div class="hy hz s">
<div class="hr hs t u v ht aj bl hu hv"><img alt="Image for post" class="t u v ht aj ia ib ic" src="https://miro.medium.com/max/60/1*XvEBPGtrYv6-bD-VvTjujg.png?q=20" width="3000" height="1500"/></div><img alt="Image for post" class="hr hs t u v ht aj c" width="3000" height="1500"/><noscript><img alt="Image for post" class="t u v ht aj" src="https://miro.medium.com/max/6000/1*XvEBPGtrYv6-bD-VvTjujg.png" width="3000" height="1500" srcSet="https://miro.medium.com/max/552/1*XvEBPGtrYv6-bD-VvTjujg.png 276w, https://miro.medium.com/max/1104/1*XvEBPGtrYv6-bD-VvTjujg.png 552w, https://miro.medium.com/max/1280/1*XvEBPGtrYv6-bD-VvTjujg.png 640w, https://miro.medium.com/max/1456/1*XvEBPGtrYv6-bD-VvTjujg.png 728w, https://miro.medium.com/max/1632/1*XvEBPGtrYv6-bD-VvTjujg.png 816w, https://miro.medium.com/max/1808/1*XvEBPGtrYv6-bD-VvTjujg.png 904w, https://miro.medium.com/max/1984/1*XvEBPGtrYv6-bD-VvTjujg.png 992w, https://miro.medium.com/max/2000/1*XvEBPGtrYv6-bD-VvTjujg.png 1000w" sizes="1000px"/></noscript></div></div></div></div></figure></div></div></div>
<div class="n p">
<div class="ab ac ae af ag dl ai aj"><p id="f17f" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">It’s just important to understand that these demosaiced color values still represent the <strong class="gk ku">scene</strong>, not your display. They contain all the original dynamic range. They contain all the out-of-range colors. They retain all the flexibility of working with a “true” RAW. They just skip step one.</p><p id="8374" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">In theory, you lose flexibility in choosing specific demosaic algorithms. In practice, most expert photographers don’t bother.</p><p id="cdee" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">It’s also quite possible that iOS can do a better job demosaicing your images than any third-party RAW editor. Apple’s greatest strength is its unity of hardware and software, so they know exactly the sensor you’re using, and how it behaves with different ISO setttings. In theory, they could even apply image recognition as part of the process; if iOS detects a night sky, it could automatically pick a star-friendly demosaic algorithm.</p></div></div>
<div class="hg">
<div class="n p">
<div class="jg jh ji jj jk jl af jm ag jn ai aj">
<div class="hh hi hj hk hl n lp"><figure class="cs hg lq lr jq jp ls paragraph-image">
<div role="button" tabindex="0" class="hm hn ho hp aj hq">
<div class="hw s ho hx">
<div class="kz hz s">
<div class="hr hs t u v ht aj bl hu hv"><img alt="Image for post" class="t u v ht aj ia ib ic" src="https://miro.medium.com/max/60/1*iBZPgEFTrzK6J2uYMa6CTA.jpeg?q=20" width="1500" height="1125"/></div><img alt="Image for post" class="hr hs t u v ht aj c" width="1500" height="1125"/><noscript><img alt="Image for post" class="t u v ht aj" src="https://miro.medium.com/max/3000/1*iBZPgEFTrzK6J2uYMa6CTA.jpeg" width="1500" height="1125" srcSet="https://miro.medium.com/max/552/1*iBZPgEFTrzK6J2uYMa6CTA.jpeg 276w, https://miro.medium.com/max/1000/1*iBZPgEFTrzK6J2uYMa6CTA.jpeg 500w" sizes="500px"/></noscript></div></div></div></figure><figure class="cs hg lq lr jq jp ls paragraph-image">
<div role="button" tabindex="0" class="hm hn ho hp aj hq">
<div class="hw s ho hx">
<div class="kz hz s">
<div class="hr hs t u v ht aj bl hu hv"><img alt="Image for post" class="t u v ht aj ia ib ic" src="https://miro.medium.com/max/60/1*K6xZ3e_TqggD5SSVBVh7cA.jpeg?q=20" width="1500" height="1125"/></div><img alt="Image for post" class="hr hs t u v ht aj c" width="1500" height="1125"/><noscript><img alt="Image for post" class="t u v ht aj" src="https://miro.medium.com/max/3000/1*K6xZ3e_TqggD5SSVBVh7cA.jpeg" width="1500" height="1125" srcSet="https://miro.medium.com/max/552/1*K6xZ3e_TqggD5SSVBVh7cA.jpeg 276w, https://miro.medium.com/max/1000/1*K6xZ3e_TqggD5SSVBVh7cA.jpeg 500w" sizes="500px"/></noscript></div></div></div><figcaption class="kp kq da cy cz kr ks cf b ev ch ci lt ho lu lv">Photographer<a href="https://t.co/VQGZpdaA4B?amp=1" class="cl km" target="_blank" rel="noopener"> Austin Mann</a> shows of how ProRAW already changes the game for nighttime photography <a href="https://t.co/VQGZpdaA4B?amp=1" class="cl km" target="_blank" rel="noopener">in this fantastic look at ProRAW</a>.</figcaption></figure></div></div></div></div>
<div class="n p">
<div class="ab ac ae af ag dl ai aj"><p id="d7c0" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">This sly move also gives Apple greater control over the image sensors they use in the future. Earlier, I said <em class="kx">most</em> cameras use a Bayer pattern. Some camera manufacturers use different patterns, which require different algorithms. Fujifilm invented the <a href="https://en.wikipedia.org/wiki/Fujifilm_X-Trans_sensor" class="cl km" target="_blank" rel="noopener">X-Trans</a> sensor that creates sharper images, with more film-like grain. There’s even a <a href="https://blog.sigmaphoto.com/2011/faqs-the-sigma-camera-and-its-foveon-x3-direct-image-sensor/" class="cl km" target="_blank" rel="noopener">Foveon</a> digital sensor that stacks color filters on top of each other.</p><figure class="hh hi hj hk hl hg cy cz paragraph-image">
<div class="cy cz lw">
<div class="hw s ho hx">
<div class="lx hz s">
<div class="hr hs t u v ht aj bl hu hv"><img alt="Image for post" class="t u v ht aj ia ib ic" src="https://miro.medium.com/max/60/1*geXtGrkS1PXytzJ1kr8p6w.jpeg?q=20" width="602" height="380"/></div><img alt="Image for post" class="hr hs t u v ht aj c" width="602" height="380"/><noscript><img alt="Image for post" class="t u v ht aj" src="https://miro.medium.com/max/1204/1*geXtGrkS1PXytzJ1kr8p6w.jpeg" width="602" height="380" srcSet="https://miro.medium.com/max/552/1*geXtGrkS1PXytzJ1kr8p6w.jpeg 276w, https://miro.medium.com/max/1104/1*geXtGrkS1PXytzJ1kr8p6w.jpeg 552w, https://miro.medium.com/max/1204/1*geXtGrkS1PXytzJ1kr8p6w.jpeg 602w" sizes="602px"/></noscript></div></div></div><figcaption class="kp kq da cy cz kr ks cf b ev ch ci">It’s marketing, so take it with a grain of salt.</figcaption></figure><p id="23be" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">Apple is now a company that designs its own silicon, and it’s very good at it. Cameras are a huge driving factor in phone purchases. It seems inevitable for Apple to innovate in the realm of sensors. Taking over the demosaic step would smooth such a transition. Hypothetically speaking, they could swap out their current bayer sensors with an “Apple C1,” and so long as it saves in ProRAW, it would work from day one in every pro photography process and app like Lightroom without having to wait for Adobe to write a new demosaic algorithm.</p><p id="9eb1" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">We got a taste for these benefits with the surprise reveal that <strong class="gk ku">ProRAW is available on all four cameras.</strong></p><p id="0358" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">Previously, you could not shoot RAW with the front-facing or ultra-wide cameras. Apple is vague on the technical limitations, but indicated that even if third-party developers had access to the RAW data, they wouldn’t know what to do with it. With ProRAW, they can handle the annoying bits, and leave apps like editors to deal with what they’re better at: editing.</p><h2 id="6135" class="jr ie do cf if js jt ju ii jv jw jx il jy jz ka ip kb kc kd it ke kf kg ix kh el">Bridging the Algorithm Gap</h2><p id="bc2c" class="gi gj do gk b gl iz gn go gp ja gr gs gt jb gv gw gx jc gz ha hb jd hd he hf dg el">So now we have the data, but what about the local tone mapping and other computational photography goodies? Apple could open up their algorithms to third-party apps, but that isn’t as useful as you think. For starters, you’d need a save a ton of RAW files. We’d be back at that 100 megabyte file.</p><p id="85c6" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">I also think there are reasonable questions about producing consistent results down the road as these algorithms evolve. It would be surprising to return to a photo a year from now to find Apple’s AI produces different results.</p><p id="d496" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">Instead, ProRAW stores results of computational photography right inside the RAW. This is another reason they need to store demosaiced data, as these algorithms operate on color, not RAW data. Once you demosaic, there’s no going back. I mean, what would you even call that, remosaic?</p><p id="4e7e" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">Smart HDR does this in the least destructive way. Apple worked with Adobe to <a href="https://helpx.adobe.com/photoshop/kb/dng-specification-tags.html" class="cl km" target="_blank" rel="noopener">introduce a new type of tag</a> into the DNG standard, called a “Profile Gain Table Map.” This data gives your editor everything it needs to know to tone map your photo image and end up with results identical to the first party camera. Because it’s separate data, you can turn down its strength, or turn it off completely.</p><p id="299d" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">That’s what we do in Halide when you’re looking at a ProRAW image with Instant RAW disabled.</p></div></div>
<div class="hg">
<div class="n p">
<div class="jg jh ji jj jk jl af jm ag jn ai aj"><figure class="hh hi hj hk hl hg jp jq paragraph-image">
<div role="button" tabindex="0" class="hm hn ho hp aj hq">
<div class="cy cz jo">
<div class="hw s ho hx">
<div class="hy hz s">
<div class="hr hs t u v ht aj bl hu hv"><img alt="Image for post" class="t u v ht aj ia ib ic" src="https://miro.medium.com/max/60/1*y-uuWP8T138MVIvGcq_rMA.png?q=20" width="3000" height="1500"/></div><img alt="Image for post" class="hr hs t u v ht aj c" width="3000" height="1500"/><noscript><img alt="Image for post" class="t u v ht aj" src="https://miro.medium.com/max/6000/1*y-uuWP8T138MVIvGcq_rMA.png" width="3000" height="1500" srcSet="https://miro.medium.com/max/552/1*y-uuWP8T138MVIvGcq_rMA.png 276w, https://miro.medium.com/max/1104/1*y-uuWP8T138MVIvGcq_rMA.png 552w, https://miro.medium.com/max/1280/1*y-uuWP8T138MVIvGcq_rMA.png 640w, https://miro.medium.com/max/1456/1*y-uuWP8T138MVIvGcq_rMA.png 728w, https://miro.medium.com/max/1632/1*y-uuWP8T138MVIvGcq_rMA.png 816w, https://miro.medium.com/max/1808/1*y-uuWP8T138MVIvGcq_rMA.png 904w, https://miro.medium.com/max/1984/1*y-uuWP8T138MVIvGcq_rMA.png 992w, https://miro.medium.com/max/2000/1*y-uuWP8T138MVIvGcq_rMA.png 1000w" sizes="1000px"/></noscript></div></div></div></div><figcaption class="kp kq da cy cz kr ks cf b ev ch ci">Local tone mapping lifts the shadows on the ground.</figcaption></figure></div></div></div>
<div class="n p">
<div class="ab ac ae af ag dl ai aj"><p id="c655" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">Even if you opt-out of local tone mapping, you now have the underlying HDR data to work with in an editor, and the results are…</p><figure class="hh hi hj hk hl hg">
<div class="hw s ho">
<div class="ly hz s"></div></div></figure><p id="62a1" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">Deep Fusion is a different story. While it’s popularly known as “Sweater Mode,” the more technical objective is “noise reduction in low-light.” Unlike those Gain Table Maps, there’s no elegant way to separate its effects from the final image. If you don’t want Deep Fusion, your only option is to opt-out of the process at the time of capture.</p><p id="d905" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">If you’ve read our articles for a while, you know we’re fans of natural noise. Prior to Deep Fusion, the iPhone JPEGs were notorious for their “watercolor effects.” In this image I took a few years ago, notice faces get smeared into nothing.</p></div></div>
<div class="hg">
<div class="n p">
<div class="jg jh ji jj jk jl af jm ag jn ai aj"><figure class="hh hi hj hk hl hg jp jq paragraph-image">
<div role="button" tabindex="0" class="hm hn ho hp aj hq">
<div class="cy cz lz">
<div class="hw s ho hx">
<div class="hy hz s">
<div class="hr hs t u v ht aj bl hu hv"><img alt="Image for post" class="t u v ht aj ia ib ic" src="https://miro.medium.com/max/60/1*NLfPxx9klj-P3IBbqY3sNQ.jpeg?q=20" width="1858" height="929"/></div><img alt="Image for post" class="hr hs t u v ht aj c" width="1858" height="929"/><noscript><img alt="Image for post" class="t u v ht aj" src="https://miro.medium.com/max/3716/1*NLfPxx9klj-P3IBbqY3sNQ.jpeg" width="1858" height="929" srcSet="https://miro.medium.com/max/552/1*NLfPxx9klj-P3IBbqY3sNQ.jpeg 276w, https://miro.medium.com/max/1104/1*NLfPxx9klj-P3IBbqY3sNQ.jpeg 552w, https://miro.medium.com/max/1280/1*NLfPxx9klj-P3IBbqY3sNQ.jpeg 640w, https://miro.medium.com/max/1456/1*NLfPxx9klj-P3IBbqY3sNQ.jpeg 728w, https://miro.medium.com/max/1632/1*NLfPxx9klj-P3IBbqY3sNQ.jpeg 816w, https://miro.medium.com/max/1808/1*NLfPxx9klj-P3IBbqY3sNQ.jpeg 904w, https://miro.medium.com/max/1984/1*NLfPxx9klj-P3IBbqY3sNQ.jpeg 992w, https://miro.medium.com/max/2000/1*NLfPxx9klj-P3IBbqY3sNQ.jpeg 1000w" sizes="1000px"/></noscript></div></div></div></div><figcaption class="kp kq da cy cz kr ks cf b ev ch ci">Taken before social distancing was a thing.</figcaption></figure></div></div></div>
<div class="n p">
<div class="ab ac ae af ag dl ai aj"><p id="099f" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">Deep Fusion produces very different results. Instead of just smearing an image, it combines several results together to sort of “average out” the results. It looks way, way more natural.</p><p id="0adb" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">If you’re not a fan of Deep Fusion, there’s an API to opt-out. We expose this in Halide under Capture Settings. As I was writing this article, I realized this toggle makes it easy to run an experiment…</p><p id="fef6" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">I used a spotlight to create a high-dynamic range scene in my office.</p><figure class="hh hi hj hk hl hg cy cz paragraph-image">
<div role="button" tabindex="0" class="hm hn ho hp aj hq">
<div class="cy cz ma">
<div class="hw s ho hx">
<div class="mb hz s">
<div class="hr hs t u v ht aj bl hu hv"><img alt="Image for post" class="t u v ht aj ia ib ic" src="https://miro.medium.com/max/24/1*KyKm_rUL60bQheIwZ27KJA.jpeg?q=20" width="390" height="1006"/></div><img alt="Image for post" class="hr hs t u v ht aj c" width="390" height="1006"/><noscript><img alt="Image for post" class="t u v ht aj" src="https://miro.medium.com/max/780/1*KyKm_rUL60bQheIwZ27KJA.jpeg" width="390" height="1006" srcSet="https://miro.medium.com/max/552/1*KyKm_rUL60bQheIwZ27KJA.jpeg 276w, https://miro.medium.com/max/780/1*KyKm_rUL60bQheIwZ27KJA.jpeg 390w" sizes="390px"/></noscript></div></div></div></div></figure><p id="715b" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">I spot metered the two grey cards and measured a difference of 8.3 stops. I then exposed the shot using the top grey card and took three photos:</p><p id="4a3f" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">1) Native Halide RAW</p><p id="4077" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">2) ProRAW, with smart processing disabled</p><p id="6819" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">3) ProRAW with smart processing enabled</p><p id="58aa" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">I took these into Lightroom and boosted the shadows. Let’s zoom in on the test pattern image.</p></div></div>
<div class="hg aj"><figure class="hh hi hj hk hl hg aj paragraph-image">
<div class="hw s ho hx">
<div class="ko hz s">
<div class="hr hs t u v ht aj bl hu hv"><img alt="Image for post" class="t u v ht aj ia ib ic" src="https://miro.medium.com/max/60/1*x6-_StGFa02oMfajJ3In6g.jpeg?q=20" width="1800" height="600"/></div><img alt="Image for post" class="hr hs t u v ht aj c" width="1800" height="600"/><noscript><img alt="Image for post" class="t u v ht aj" src="https://miro.medium.com/max/3600/1*x6-_StGFa02oMfajJ3In6g.jpeg" width="1800" height="600" srcSet="https://miro.medium.com/max/552/1*x6-_StGFa02oMfajJ3In6g.jpeg 276w, https://miro.medium.com/max/1104/1*x6-_StGFa02oMfajJ3In6g.jpeg 552w, https://miro.medium.com/max/1280/1*x6-_StGFa02oMfajJ3In6g.jpeg 640w, https://miro.medium.com/max/1456/1*x6-_StGFa02oMfajJ3In6g.jpeg 728w, https://miro.medium.com/max/1632/1*x6-_StGFa02oMfajJ3In6g.jpeg 816w, https://miro.medium.com/max/1808/1*x6-_StGFa02oMfajJ3In6g.jpeg 904w, https://miro.medium.com/max/1984/1*x6-_StGFa02oMfajJ3In6g.jpeg 992w, https://miro.medium.com/max/2160/1*x6-_StGFa02oMfajJ3In6g.jpeg 1080w, https://miro.medium.com/max/2700/1*x6-_StGFa02oMfajJ3In6g.jpeg 1350w, https://miro.medium.com/max/3240/1*x6-_StGFa02oMfajJ3In6g.jpeg 1620w, https://miro.medium.com/max/3600/1*x6-_StGFa02oMfajJ3In6g.jpeg 1800w" sizes="1800px"/></noscript></div></div><figcaption class="kp kq da cy cz kr ks cf b ev ch ci">1) Native RAW, 2) ProRAW without the algorithms 3) ProRAW with the algorithms</figcaption></figure></div>
<div class="n p">
<div class="ab ac ae af ag dl ai aj"><p id="16ca" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">If you wonder what camera settings I used to capture this, the answer is a bit complicated. When you enable these algorithms, the iPhone ignores manual exposure settings. After all, Deep Fusion takes multiple exposures with a variety of settings. While the metadata embedded in the final image reported an ISO of 40, it’s unlikely all photos in the burst had that setting.</p><p id="9fec" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">As you can see, by disabling this Smart Processing in Halide, we can still skip a lot of the noise reduction in our ProRAW files if we so choose.</p><p id="0283" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">Synthetic tests like this are all fine and good, but what about the real world?</p><p id="8787" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">Sebastiaan spent the last few weeks testing ProRAW in the field with the Halide beta. He found the dynamic range in ProRAW pretty mind-blowing in the day-to-day editing process:</p></div></div>
<div class="hg">
<div class="n p">
<div class="jg jh ji jj jk jl af jm ag jn ai aj"><figure class="hh hi hj hk hl hg jp jq paragraph-image">
<div role="button" tabindex="0" class="hm hn ho hp aj hq">
<div class="cy cz ky">
<div class="hw s ho hx">
<div class="le hz s">
<div class="hr hs t u v ht aj bl hu hv"><img alt="Image for post" class="t u v ht aj ia ib ic" src="https://miro.medium.com/max/60/1*oAPorA4ZnfrWnKaDY48B0g.png?q=20" width="1200" height="800"/></div><img alt="Image for post" class="hr hs t u v ht aj c" width="1200" height="800"/><noscript><img alt="Image for post" class="t u v ht aj" src="https://miro.medium.com/max/2400/1*oAPorA4ZnfrWnKaDY48B0g.png" width="1200" height="800" srcSet="https://miro.medium.com/max/552/1*oAPorA4ZnfrWnKaDY48B0g.png 276w, https://miro.medium.com/max/1104/1*oAPorA4ZnfrWnKaDY48B0g.png 552w, https://miro.medium.com/max/1280/1*oAPorA4ZnfrWnKaDY48B0g.png 640w, https://miro.medium.com/max/1456/1*oAPorA4ZnfrWnKaDY48B0g.png 728w, https://miro.medium.com/max/1632/1*oAPorA4ZnfrWnKaDY48B0g.png 816w, https://miro.medium.com/max/1808/1*oAPorA4ZnfrWnKaDY48B0g.png 904w, https://miro.medium.com/max/1984/1*oAPorA4ZnfrWnKaDY48B0g.png 992w, https://miro.medium.com/max/2000/1*oAPorA4ZnfrWnKaDY48B0g.png 1000w" sizes="1000px"/></noscript></div></div></div></div></figure></div></div></div>
<div class="n p">
<div class="ab ac ae af ag dl ai aj"><h2 id="936d" class="jr ie do cf if js jt ju ii jv jw jx il jy jz ka ip kb kc kd it ke kf kg ix kh el">Semantic Maps Included</h2><p id="c322" class="gi gj do gk b gl iz gn go gp ja gr gs gt jb gv gw gx jc gz ha hb jd hd he hf dg el">ProRAW has one more surprise up its sleeve. A few years ago, Apple began using neural networks to detect interesting parts of an image, such as eyes and hair.</p><p id="d9cf" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">Apple uses this to, say, add sharpening to <em class="kx">only</em> clouds in the sky. Sharping faces would be quite unflattering.</p></div></div>
<div class="hg">
<div class="n p">
<div class="jg jh ji jj jk jl af jm ag jn ai aj"><figure class="hh hi hj hk hl hg jp jq paragraph-image">
<div role="button" tabindex="0" class="hm hn ho hp aj hq">
<div class="cy cz jo">
<div class="hw s ho hx">
<div class="hy hz s">
<div class="hr hs t u v ht aj bl hu hv"><img alt="Image for post" class="t u v ht aj ia ib ic" src="https://miro.medium.com/max/60/1*qK8PHZG2JudesZzNj_XomA.png?q=20" width="3000" height="1500"/></div><img alt="Image for post" class="hr hs t u v ht aj c" width="3000" height="1500"/><noscript><img alt="Image for post" class="t u v ht aj" src="https://miro.medium.com/max/6000/1*qK8PHZG2JudesZzNj_XomA.png" width="3000" height="1500" srcSet="https://miro.medium.com/max/552/1*qK8PHZG2JudesZzNj_XomA.png 276w, https://miro.medium.com/max/1104/1*qK8PHZG2JudesZzNj_XomA.png 552w, https://miro.medium.com/max/1280/1*qK8PHZG2JudesZzNj_XomA.png 640w, https://miro.medium.com/max/1456/1*qK8PHZG2JudesZzNj_XomA.png 728w, https://miro.medium.com/max/1632/1*qK8PHZG2JudesZzNj_XomA.png 816w, https://miro.medium.com/max/1808/1*qK8PHZG2JudesZzNj_XomA.png 904w, https://miro.medium.com/max/1984/1*qK8PHZG2JudesZzNj_XomA.png 992w, https://miro.medium.com/max/2000/1*qK8PHZG2JudesZzNj_XomA.png 1000w" sizes="1000px"/></noscript></div></div></div></div><figcaption class="kp kq da cy cz kr ks cf b ev ch ci">An iPhone 12 Pro RAW file from the ultra-wide camera with a semantic matte for the human in the photo. Super cool.</figcaption></figure></div></div></div>
<div class="n p">
<div class="ab ac ae af ag dl ai aj"><p id="4644" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">ProRAW files contain these maps! Both semantic maps used on faces and Portrait Effect Mattes that power the background blur in Portrait mode.</p><h2 id="6394" class="jr ie do cf if js jt ju ii jv jw jx il jy jz ka ip kb kc kd it ke kf kg ix kh el">Flexibility in File Size</h2><p id="8736" class="gi gj do gk b gl iz gn go gp ja gr gs gt jb gv gw gx jc gz ha hb jd hd he hf dg el">By storing the demosaiced values, ProRAWs can also tackle unwieldy file sizes in a few interesting ways. That’s really important, because when you shoot ProRAW with the first-party camera app, each file is around 25mb — and can get even heavier than that. That’s an order of magnitude or more than a regular photo. It adds up quick.</p><p id="e2a4" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">First, we can fiddle with bit-depth. By default, ProRAW uses 12-bit data, which can be overkill. JPEGs are only 8-bits per color channel, so going 10-bit means 4x the precision in editing. While the first-party camera app doesn’t present this option, it’s there in the API. we’ve added it to Halide and seen files drop as low as 8mb. In practice, you can get most of the ProRAW benefits at half the file size.</p><p id="6120" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">If you want to further reduce the file size, ProRAW offers lossy compression that can drop these files down to as little as 1mb, but not so fast. These compression APIs currently drop the bit depth to 8-bits. In our opinion, that too great of a tradeoff, as it leaves you with a file that’s only marginally better than a JPEG. We’re certain ProRAW compression will confuse users, so we’ve held off on compression support for the time being. Fortunately Apple’s camera team has been iterating on ProRAW very fast, so we hope 10-bit compression is on the horizon.</p><p id="8e68" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">Finally, it turns out that every ProRAW file can also contain the fully-processed JPEG version. This is a fallback image for apps that don’t recognize RAWs— which is <em class="kx">most apps. </em>Even Instagram. The first-party camera doesn’t offer this, which means you cannot share ProRAW shots taken with it to apps that do not support RAW images. We’ve added the option in Halide.</p><p id="bb95" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">If you’re planning to edit the image, it makes sense to opt-out of these 4mb images. Your RAW editing app will ignore it, and ultimately produce a new JPEG for your Instagrams.</p><h2 id="bfdc" class="jr ie do cf if js jt ju ii jv jw jx il jy jz ka ip kb kc kd it ke kf kg ix kh el">Batteries Included</h2><p id="ce80" class="gi gj do gk b gl iz gn go gp ja gr gs gt jb gv gw gx jc gz ha hb jd hd he hf dg el">The most underrated improvement in iOS 14.3 is that the native Photos app now supports RAW editing. This is huge, because it abstracts away all the complexity of higher-end apps. No fiddling with “black point” and “color profiles.” Casual users who only know how to edit photos in the built-in apps don’t have to do anything different. It just works.</p><p id="6067" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">This is critical because we can expect it to take some time for third-party photo editors to adopt this new metadata. Until then, ProRAWs will not look like system JPEGs. Compare the results viewed inside Lightroom CC and Photos.app.</p><figure class="hh hi hj hk hl hg cy cz paragraph-image">
<div class="cy cz mc">
<div class="hw s ho hx">
<div class="md hz s">
<div class="hr hs t u v ht aj bl hu hv"><img alt="Image for post" class="t u v ht aj ia ib ic" src="https://miro.medium.com/max/42/1*fEpwzq7b2PdTISl5LVMv_w.jpeg?q=20" width="550" height="778"/></div><img alt="Image for post" class="hr hs t u v ht aj c" width="550" height="778"/><noscript><img alt="Image for post" class="t u v ht aj" src="https://miro.medium.com/max/1100/1*fEpwzq7b2PdTISl5LVMv_w.jpeg" width="550" height="778" srcSet="https://miro.medium.com/max/552/1*fEpwzq7b2PdTISl5LVMv_w.jpeg 276w, https://miro.medium.com/max/1100/1*fEpwzq7b2PdTISl5LVMv_w.jpeg 550w" sizes="550px"/></noscript></div></div></div><figcaption class="kp kq da cy cz kr ks cf b ev ch ci">Left: Photos.app, Right: Lightroom CC</figcaption></figure><p id="ee06" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">It looks wrong because Lightroom doesn’t yet detect the local tone mapping metadata. However, given Adobe participated in the designing these tags, we can expect an update in the near future.</p><p id="965e" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">As for other iOS editors, Apple has updated its RAW processing frameworks to support these new tags. For the most part, it “just works,” so you’ll find ProRAWs display properly inside Halide’s photo gallery. You can toggle tone mapping on and off with the Instant RAW button.</p><p id="d3f2" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">That said, not all metadata is exposed by Apple’s frameworks. They don’t even tell you whether the DNG is a native RAW or ProRAW. We’re certain this is just a matter running out of time. They launched this two weeks before Christmas, so this is clearly a feature that was coming down to the wire.</p><p id="40e9" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">To get around this, we built our own proprietary DNG parser we call Dingus.</p></div></div>
<div class="hg">
<div class="n p">
<div class="jg jh ji jj jk jl af jm ag jn ai aj"><figure class="hh hi hj hk hl hg jp jq paragraph-image">
<div role="button" tabindex="0" class="hm hn ho hp aj hq">
<div class="cy cz jo">
<div class="hw s ho hx">
<div class="hy hz s">
<div class="hr hs t u v ht aj bl hu hv"><img alt="Image for post" class="t u v ht aj ia ib ic" src="https://miro.medium.com/max/60/1*iXBvbnD1qKTiHD4qJAHuIg.jpeg?q=20" width="3000" height="1500"/></div><img alt="Image for post" class="hr hs t u v ht aj c" width="3000" height="1500"/><noscript><img alt="Image for post" class="t u v ht aj" src="https://miro.medium.com/max/6000/1*iXBvbnD1qKTiHD4qJAHuIg.jpeg" width="3000" height="1500" srcSet="https://miro.medium.com/max/552/1*iXBvbnD1qKTiHD4qJAHuIg.jpeg 276w, https://miro.medium.com/max/1104/1*iXBvbnD1qKTiHD4qJAHuIg.jpeg 552w, https://miro.medium.com/max/1280/1*iXBvbnD1qKTiHD4qJAHuIg.jpeg 640w, https://miro.medium.com/max/1456/1*iXBvbnD1qKTiHD4qJAHuIg.jpeg 728w, https://miro.medium.com/max/1632/1*iXBvbnD1qKTiHD4qJAHuIg.jpeg 816w, https://miro.medium.com/max/1808/1*iXBvbnD1qKTiHD4qJAHuIg.jpeg 904w, https://miro.medium.com/max/1984/1*iXBvbnD1qKTiHD4qJAHuIg.jpeg 992w, https://miro.medium.com/max/2000/1*iXBvbnD1qKTiHD4qJAHuIg.jpeg 1000w" sizes="1000px"/></noscript></div></div></div></div></figure></div></div></div>
<div class="n p">
<div class="ab ac ae af ag dl ai aj"><p id="a85c" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">Dingus lets us interrogate low level tags within DNGs, which aren’t yet exposed by Apple. We’re using this to expose the bit depth and type of RAW in our metadata reviewer, but it’s also been useful for poking and prodding at ProRAW internals.</p><h1 id="8297" class="id ie do cf if ig ih gn ii ij ik gr il im in io ip iq ir is it iu iv iw ix iy el">Is ProRAW Perfect?</h1><p id="c77f" class="gi gj do gk b gl iz gn go gp ja gr gs gt jb gv gw gx jc gz ha hb jd hd he hf dg el">ProRAW is a leap forward for everyone, but it will be especially impactful for beginning photographers.</p></div></div>
<div class="hg">
<div class="n p">
<div class="jg jh ji jj jk jl af jm ag jn ai aj">
<div class="hh hi hj hk hl n lp"><figure class="cs hg me lr jq jp ls paragraph-image">
<div role="button" tabindex="0" class="hm hn ho hp aj hq">
<div class="hw s ho hx">
<div class="jf hz s">
<div class="hr hs t u v ht aj bl hu hv"><img alt="Image for post" class="t u v ht aj ia ib ic" src="https://miro.medium.com/max/46/1*2xM5pAf53HtUxZAtMhaV9g.jpeg?q=20" width="3024" height="4032"/></div><img alt="Image for post" class="hr hs t u v ht aj c" width="3024" height="4032"/><noscript><img alt="Image for post" class="t u v ht aj" src="https://miro.medium.com/max/6048/1*2xM5pAf53HtUxZAtMhaV9g.jpeg" width="3024" height="4032" srcSet="https://miro.medium.com/max/552/1*2xM5pAf53HtUxZAtMhaV9g.jpeg 276w, https://miro.medium.com/max/668/1*2xM5pAf53HtUxZAtMhaV9g.jpeg 334w" sizes="334px"/></noscript></div></div></div></figure><figure class="cs hg me lr jq jp ls paragraph-image">
<div role="button" tabindex="0" class="hm hn ho hp aj hq">
<div class="hw s ho hx">
<div class="jf hz s">
<div class="hr hs t u v ht aj bl hu hv"><img alt="Image for post" class="t u v ht aj ia ib ic" src="https://miro.medium.com/max/46/1*ejqAfKY8rUOvgB7oVRkkkw.jpeg?q=20" width="3024" height="4032"/></div><img alt="Image for post" class="hr hs t u v ht aj c" width="3024" height="4032"/><noscript><img alt="Image for post" class="t u v ht aj" src="https://miro.medium.com/max/6048/1*ejqAfKY8rUOvgB7oVRkkkw.jpeg" width="3024" height="4032" srcSet="https://miro.medium.com/max/552/1*ejqAfKY8rUOvgB7oVRkkkw.jpeg 276w, https://miro.medium.com/max/668/1*ejqAfKY8rUOvgB7oVRkkkw.jpeg 334w" sizes="334px"/></noscript></div></div></div></figure><figure class="cs hg me lr jq jp ls paragraph-image">
<div role="button" tabindex="0" class="hm hn ho hp aj hq">
<div class="hw s ho hx">
<div class="jf hz s">
<div class="hr hs t u v ht aj bl hu hv"><img alt="Image for post" class="t u v ht aj ia ib ic" src="https://miro.medium.com/max/46/1*FNxf_68aztIWmO3E8KNx_Q.jpeg?q=20" width="3024" height="4032"/></div><img alt="Image for post" class="hr hs t u v ht aj c" width="3024" height="4032"/><noscript><img alt="Image for post" class="t u v ht aj" src="https://miro.medium.com/max/6048/1*FNxf_68aztIWmO3E8KNx_Q.jpeg" width="3024" height="4032" srcSet="https://miro.medium.com/max/552/1*FNxf_68aztIWmO3E8KNx_Q.jpeg 276w, https://miro.medium.com/max/668/1*FNxf_68aztIWmO3E8KNx_Q.jpeg 334w" sizes="334px"/></noscript></div></div></div><figcaption class="kp kq da cy cz kr ks cf b ev ch ci mf ho mg lv">ProRAW in and around San Francisco</figcaption></figure></div></div></div></div>
<div class="n p">
<div class="ab ac ae af ag dl ai aj"><p id="71c4" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">If you know nothing about RAW, but want more flexibility in editing, shoot ProRAW. For true professionals, the decision is a bit more nuanced. Sometimes you’ll want to switch back to regular RAW.</p><p id="c395" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">First, ProRAW is only available on “Pro” level iPhones. Despite the usual conspiracy theories, Apple isn’t just flipping a bit in software to force you to spend more.</p><figure class="hh hi hj hk hl hg cy cz paragraph-image">
<div role="button" tabindex="0" class="hm hn ho hp aj hq">
<div class="cy cz mh">
<div class="hw s ho hx">
<div class="mi hz s">
<div class="hr hs t u v ht aj bl hu hv"><img alt="Image for post" class="t u v ht aj ia ib ic" src="https://miro.medium.com/max/60/1*vmkySLtfmoeVkRBE2fMUlQ.png?q=20" width="1144" height="752"/></div><img alt="Image for post" class="hr hs t u v ht aj c" width="1144" height="752"/><noscript><img alt="Image for post" class="t u v ht aj" src="https://miro.medium.com/max/2288/1*vmkySLtfmoeVkRBE2fMUlQ.png" width="1144" height="752" srcSet="https://miro.medium.com/max/552/1*vmkySLtfmoeVkRBE2fMUlQ.png 276w, https://miro.medium.com/max/1104/1*vmkySLtfmoeVkRBE2fMUlQ.png 552w, https://miro.medium.com/max/1280/1*vmkySLtfmoeVkRBE2fMUlQ.png 640w, https://miro.medium.com/max/1400/1*vmkySLtfmoeVkRBE2fMUlQ.png 700w" sizes="700px"/></noscript></div></div></div></div></figure><p id="5b12" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">In the past, these algorithms did their math with lower bit depths, because their output was just low bit depth JPEGs. Outputting images in a higher bit depth requires twice the memory. Apple’s Pro iPhones have way more memory than non-Pro models, and ProRAW needs all of that. It’s that simple.</p><p id="fc3c" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">Once you get RAW in your hands, the first thing you’ll notice is capture speed. A traditional RAW capture takes as little as 50 milliseconds. ProRAW takes between two and three <em class="kx">seconds </em>to finish processing.</p><p id="c730" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">The built in iPhone camera does a great job hiding this, apparently processing each photo in the background in a queue. However, we’ve found the shutter stalls after firing three shots in quick succession.</p><p id="4b96" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">ProRAW isn’t coming to burst mode anytime soon. This makes things difficult if you’re covering sports, have small children who refuse to stand still, or you’re a portrait photographer who takes hundreds of photos in a single session. There’s a chance you might miss that perfect shot.</p><p id="7f13" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">In Halide, we decided to take a conservative approach at launch, and only let you capture one photo at a time. We’re a week away from the App Store shutting down for Christmas, so this is the worst possible time to contend with memory crashes. But we expect to speed things up soon.</p><p id="b428" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">The next issue we’ve found is sharpness and noise reduction. No multi-photo fusion is perfect. If you want the sharpest images with natural noise, and you’re not planning to boost your shadows through the roof, you might find “native” RAW is still the way to go.</p></div></div>
<div class="hg">
<div class="n p">
<div class="jg jh ji jj jk jl af jm ag jn ai aj"><figure class="hh hi hj hk hl hg jp jq paragraph-image">
<div role="button" tabindex="0" class="hm hn ho hp aj hq">
<div class="cy cz mj">
<div class="hw s ho hx">
<div class="mk hz s">
<div class="hr hs t u v ht aj bl hu hv"><img alt="Image for post" class="t u v ht aj ia ib ic" src="https://miro.medium.com/max/60/1*2TjK0rucDUtN_UOcDzZ8yg.jpeg?q=20" width="2815" height="2840"/></div><img alt="Image for post" class="hr hs t u v ht aj c" width="2815" height="2840"/><noscript><img alt="Image for post" class="t u v ht aj" src="https://miro.medium.com/max/5630/1*2TjK0rucDUtN_UOcDzZ8yg.jpeg" width="2815" height="2840" srcSet="https://miro.medium.com/max/552/1*2TjK0rucDUtN_UOcDzZ8yg.jpeg 276w, https://miro.medium.com/max/1104/1*2TjK0rucDUtN_UOcDzZ8yg.jpeg 552w, https://miro.medium.com/max/1280/1*2TjK0rucDUtN_UOcDzZ8yg.jpeg 640w, https://miro.medium.com/max/1456/1*2TjK0rucDUtN_UOcDzZ8yg.jpeg 728w, https://miro.medium.com/max/1632/1*2TjK0rucDUtN_UOcDzZ8yg.jpeg 816w, https://miro.medium.com/max/1808/1*2TjK0rucDUtN_UOcDzZ8yg.jpeg 904w, https://miro.medium.com/max/1984/1*2TjK0rucDUtN_UOcDzZ8yg.jpeg 992w, https://miro.medium.com/max/2000/1*2TjK0rucDUtN_UOcDzZ8yg.jpeg 1000w" sizes="1000px"/></noscript></div></div></div></div><figcaption class="kp kq da cy cz kr ks cf b ev ch ci">The top image is Halide’s ‘Native’ RAW — which still captures more detail at times, but at the expense of a bit of noise.</figcaption></figure></div></div></div>
<div class="n p">
<div class="ab ac ae af ag dl ai aj"><p id="22fb" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">In the field, we often found that in some conditions you can still get more detail in a shot with that quick-and-noisy regular RAW file.</p><p id="4e11" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">Then there’s file size. A 12-bit ProRAW is 25mb, while a 12-bit native RAW is only around 12mb. This is almost certainly why the “RAW” button in the first party camera app defaults to off, and returns to off if you leave and return to the app. A casual photographer might leave it on all the time and eat up their iCloud storage in an afternoon.</p><p id="a6a3" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">Finally, there’s compatibility. Without something like Halide’s ProRAW+ setting, apps have to be updated to support DNG files. Sharing your ProRAW shot to Instagram doesn’t work:</p><figure class="hh hi hj hk hl hg cy cz paragraph-image">
<div role="button" tabindex="0" class="hm hn ho hp aj hq">
<div class="cy cz ml">
<div class="hw s ho hx">
<div class="mm hz s">
<div class="hr hs t u v ht aj bl hu hv"><img alt="Image for post" class="t u v ht aj ia ib ic" src="https://miro.medium.com/max/46/1*SH8eErzpFu7UHggFEtmkXQ.png?q=20" width="1390" height="1826"/></div><img alt="Image for post" class="hr hs t u v ht aj c" width="1390" height="1826"/><noscript><img alt="Image for post" class="t u v ht aj" src="https://miro.medium.com/max/2780/1*SH8eErzpFu7UHggFEtmkXQ.png" width="1390" height="1826" srcSet="https://miro.medium.com/max/552/1*SH8eErzpFu7UHggFEtmkXQ.png 276w, https://miro.medium.com/max/1104/1*SH8eErzpFu7UHggFEtmkXQ.png 552w, https://miro.medium.com/max/1280/1*SH8eErzpFu7UHggFEtmkXQ.png 640w, https://miro.medium.com/max/1400/1*SH8eErzpFu7UHggFEtmkXQ.png 700w" sizes="700px"/></noscript></div></div></div></div><figcaption class="kp kq da cy cz kr ks cf b ev ch ci">You can wait for a long moment — Instagram does not support DNG files, so you can’t open your ProRAW shots unless you shoot ProRAW + JPG in an app like Halide.</figcaption></figure><p id="5caf" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">And while Apple has done an amazing job supporting ProRAW development within its own ecosystem — just hop over to Apple’s Photos app, tap the “Edit” button, and you can edit a ProRAW the same way you edit a JPEG file — the DNG spec was only updated a month ago, so there’s no telling how long it will take for your favorite third-party RAW editors to adopt the new tags.</p><p id="0fdf" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">If you already know how to develop RAW files, and you aren’t shooting in a scenario where computational photography shines, you may find native RAWs give you more bang for your bytes.</p><h2 id="42ad" class="jr ie do cf if js jt ju ii jv jw jx il jy jz ka ip kb kc kd it ke kf kg ix kh el">Introducing ProRAW for Halide</h2><p id="bec8" class="gi gj do gk b gl iz gn go gp ja gr gs gt jb gv gw gx jc gz ha hb jd hd he hf dg el">We’re excited to announce Halide’s ProRAW support. We didn’t just add ProRAW and ticked the box. By actually extensively using ProRAW in the field and testing it we found how to make the best possible camera for it.</p></div></div>
<div class="hg">
<div class="n p">
<div class="jg jh ji jj jk jl af jm ag jn ai aj">
<div class="hh hi hj hk hl n lp"><figure class="cs hg me lr jq jp ls paragraph-image">
<div role="button" tabindex="0" class="hm hn ho hp aj hq">
<div class="hw s ho hx">
<div class="jf hz s">
<div class="hr hs t u v ht aj bl hu hv"><img alt="Image for post" class="t u v ht aj ia ib ic" src="https://miro.medium.com/max/46/1*KFD1EkOmp-M6wyzRXuWhwQ.jpeg?q=20" width="1080" height="1440"/></div><img alt="Image for post" class="hr hs t u v ht aj c" width="1080" height="1440"/><noscript><img alt="Image for post" class="t u v ht aj" src="https://miro.medium.com/max/2160/1*KFD1EkOmp-M6wyzRXuWhwQ.jpeg" width="1080" height="1440" srcSet="https://miro.medium.com/max/552/1*KFD1EkOmp-M6wyzRXuWhwQ.jpeg 276w, https://miro.medium.com/max/668/1*KFD1EkOmp-M6wyzRXuWhwQ.jpeg 334w" sizes="334px"/></noscript></div></div></div></figure><figure class="cs hg me lr jq jp ls paragraph-image">
<div role="button" tabindex="0" class="hm hn ho hp aj hq">
<div class="hw s ho hx">
<div class="jf hz s">
<div class="hr hs t u v ht aj bl hu hv"><img alt="Image for post" class="t u v ht aj ia ib ic" src="https://miro.medium.com/max/46/1*-EH6tH3PDodnyNdAtlb3Eg.jpeg?q=20" width="1080" height="1440"/></div><img alt="Image for post" class="hr hs t u v ht aj c" width="1080" height="1440"/><noscript><img alt="Image for post" class="t u v ht aj" src="https://miro.medium.com/max/2160/1*-EH6tH3PDodnyNdAtlb3Eg.jpeg" width="1080" height="1440" srcSet="https://miro.medium.com/max/552/1*-EH6tH3PDodnyNdAtlb3Eg.jpeg 276w, https://miro.medium.com/max/668/1*-EH6tH3PDodnyNdAtlb3Eg.jpeg 334w" sizes="334px"/></noscript></div></div></div></figure><figure class="cs hg me lr jq jp ls paragraph-image">
<div role="button" tabindex="0" class="hm hn ho hp aj hq">
<div class="hw s ho hx">
<div class="jf hz s">
<div class="hr hs t u v ht aj bl hu hv"><img alt="Image for post" class="t u v ht aj ia ib ic" src="https://miro.medium.com/max/46/1*3mirb6ZPPpfrlqqR3MU44A.jpeg?q=20" width="1080" height="1440"/></div><img alt="Image for post" class="hr hs t u v ht aj c" width="1080" height="1440"/><noscript><img alt="Image for post" class="t u v ht aj" src="https://miro.medium.com/max/2160/1*3mirb6ZPPpfrlqqR3MU44A.jpeg" width="1080" height="1440" srcSet="https://miro.medium.com/max/552/1*3mirb6ZPPpfrlqqR3MU44A.jpeg 276w, https://miro.medium.com/max/668/1*3mirb6ZPPpfrlqqR3MU44A.jpeg 334w" sizes="334px"/></noscript></div></div></div><figcaption class="kp kq da cy cz kr ks cf b ev ch ci mf ho mg lv">Some shots taken with Halide 2.1 with ProRAW on iPhone 12 Pro Max</figcaption></figure></div></div></div></div>
<div class="n p">
<div class="ab ac ae af ag dl ai aj"><p id="2a50" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">It starts with ProRAW+. When set to this mode, Halide will take a ProRAW photo along with a JPG file so you can quickly share and view images in apps that do not (yet) support RAW files. This makes it a lot easier to just leave ProRAW on and not run into any issues in other apps.</p><p id="c8bb" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">As we mentioned, ProRAW is great, but there’s tradeoffs.</p></div></div>
<div class="hg aj"><figure class="hh hi hj hk hl hg aj paragraph-image">
<div role="button" tabindex="0" class="hm hn ho hp aj hq">
<div class="hw s ho hx">
<div class="hy hz s">
<div class="hr hs t u v ht aj bl hu hv"><img alt="Image for post" class="t u v ht aj ia ib ic" src="https://miro.medium.com/max/60/1*Ls9ZjreNdAu3ZA4Pup1xqA.jpeg?q=20" width="6000" height="3000"/></div><img alt="Image for post" class="hr hs t u v ht aj c" width="6000" height="3000"/><noscript><img alt="Image for post" class="t u v ht aj" src="https://miro.medium.com/max/12000/1*Ls9ZjreNdAu3ZA4Pup1xqA.jpeg" width="6000" height="3000" srcSet="https://miro.medium.com/max/552/1*Ls9ZjreNdAu3ZA4Pup1xqA.jpeg 276w, https://miro.medium.com/max/1104/1*Ls9ZjreNdAu3ZA4Pup1xqA.jpeg 552w, https://miro.medium.com/max/1280/1*Ls9ZjreNdAu3ZA4Pup1xqA.jpeg 640w, https://miro.medium.com/max/1456/1*Ls9ZjreNdAu3ZA4Pup1xqA.jpeg 728w, https://miro.medium.com/max/1632/1*Ls9ZjreNdAu3ZA4Pup1xqA.jpeg 816w, https://miro.medium.com/max/1808/1*Ls9ZjreNdAu3ZA4Pup1xqA.jpeg 904w, https://miro.medium.com/max/1984/1*Ls9ZjreNdAu3ZA4Pup1xqA.jpeg 992w, https://miro.medium.com/max/2160/1*Ls9ZjreNdAu3ZA4Pup1xqA.jpeg 1080w, https://miro.medium.com/max/2700/1*Ls9ZjreNdAu3ZA4Pup1xqA.jpeg 1350w, https://miro.medium.com/max/3240/1*Ls9ZjreNdAu3ZA4Pup1xqA.jpeg 1620w, https://miro.medium.com/max/3780/1*Ls9ZjreNdAu3ZA4Pup1xqA.jpeg 1890w, https://miro.medium.com/max/4320/1*Ls9ZjreNdAu3ZA4Pup1xqA.jpeg 2160w, https://miro.medium.com/max/4800/1*Ls9ZjreNdAu3ZA4Pup1xqA.jpeg 2400w" sizes="100vw"/></noscript></div></div></div></figure></div>
<div class="n p">
<div class="ab ac ae af ag dl ai aj"><p id="fb98" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">As we beta tested our ProRAW support, it became obvious we had to make it easer to fiddle with capture settings without diving into Settings. Enter the new format picker menu. Just long-press on the RAW button, and you’ll be able to choose between RAW and ProRAW, your desired bit-depth, and whether you wish to save the processed version alongside your DNG.</p><p id="cf2e" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">Being able to quickly change your shooting format allows in-the-moment decisions depending on your exact needs.</p></div></div>
<div class="hg">
<div class="n p">
<div class="jg jh ji jj jk jl af jm ag jn ai aj"><figure class="hh hi hj hk hl hg jp jq paragraph-image">
<div role="button" tabindex="0" class="hm hn ho hp aj hq">
<div class="cy cz jo">
<div class="hw s ho hx">
<div class="hy hz s">
<div class="hr hs t u v ht aj bl hu hv"><img alt="Image for post" class="t u v ht aj ia ib ic" src="https://miro.medium.com/max/60/1*ihfv06lwin5C3KQae1P-hg.png?q=20" width="3000" height="1500"/></div><img alt="Image for post" class="hr hs t u v ht aj c" width="3000" height="1500"/><noscript><img alt="Image for post" class="t u v ht aj" src="https://miro.medium.com/max/6000/1*ihfv06lwin5C3KQae1P-hg.png" width="3000" height="1500" srcSet="https://miro.medium.com/max/552/1*ihfv06lwin5C3KQae1P-hg.png 276w, https://miro.medium.com/max/1104/1*ihfv06lwin5C3KQae1P-hg.png 552w, https://miro.medium.com/max/1280/1*ihfv06lwin5C3KQae1P-hg.png 640w, https://miro.medium.com/max/1456/1*ihfv06lwin5C3KQae1P-hg.png 728w, https://miro.medium.com/max/1632/1*ihfv06lwin5C3KQae1P-hg.png 816w, https://miro.medium.com/max/1808/1*ihfv06lwin5C3KQae1P-hg.png 904w, https://miro.medium.com/max/1984/1*ihfv06lwin5C3KQae1P-hg.png 992w, https://miro.medium.com/max/2000/1*ihfv06lwin5C3KQae1P-hg.png 1000w" sizes="1000px"/></noscript></div></div></div></div></figure></div></div></div>
<div class="n p">
<div class="ab ac ae af ag dl ai aj"><p id="5574" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">As mentioned earlier, we allow you to customize your bit-depth, and disable capturing the JPEG version of your photo, inside Capture Settings. Together, you can expect to cut ProRAW file size in half without trading too much in your editing flexibility.</p></div></div>
<div class="hg">
<div class="n p">
<div class="jg jh ji jj jk jl af jm ag jn ai aj"><figure class="hh hi hj hk hl hg jp jq paragraph-image">
<div role="button" tabindex="0" class="hm hn ho hp aj hq">
<div class="cy cz jo">
<div class="hw s ho hx">
<div class="mn hz s">
<div class="hr hs t u v ht aj bl hu hv"><img alt="Image for post" class="t u v ht aj ia ib ic" src="https://miro.medium.com/max/60/1*ZfXagfeuHx9es1Z-KhP6XQ.png?q=20" width="3000" height="1257"/></div><img alt="Image for post" class="hr hs t u v ht aj c" width="3000" height="1257"/><noscript><img alt="Image for post" class="t u v ht aj" src="https://miro.medium.com/max/6000/1*ZfXagfeuHx9es1Z-KhP6XQ.png" width="3000" height="1257" srcSet="https://miro.medium.com/max/552/1*ZfXagfeuHx9es1Z-KhP6XQ.png 276w, https://miro.medium.com/max/1104/1*ZfXagfeuHx9es1Z-KhP6XQ.png 552w, https://miro.medium.com/max/1280/1*ZfXagfeuHx9es1Z-KhP6XQ.png 640w, https://miro.medium.com/max/1456/1*ZfXagfeuHx9es1Z-KhP6XQ.png 728w, https://miro.medium.com/max/1632/1*ZfXagfeuHx9es1Z-KhP6XQ.png 816w, https://miro.medium.com/max/1808/1*ZfXagfeuHx9es1Z-KhP6XQ.png 904w, https://miro.medium.com/max/1984/1*ZfXagfeuHx9es1Z-KhP6XQ.png 992w, https://miro.medium.com/max/2000/1*ZfXagfeuHx9es1Z-KhP6XQ.png 1000w" sizes="1000px"/></noscript></div></div></div></div><figcaption class="kp kq da cy cz kr ks cf b ev ch ci">Fine-grained ProRAW settings for fine RAW appreciators.</figcaption></figure></div></div></div>
<div class="n p">
<div class="ab ac ae af ag dl ai aj"><p id="00b4" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">We also ensure to remember and persist your ProRAW settings. With great power comes great iCloud consumption, so please use this responsibly.</p><p id="e1f4" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">We’re still absorbing all of the implications of ProRAW, so we expect continue to iterate on our features over the next few months. We have a list of things we want to improve after the App Store holiday shutdown, so if you’re shooting ProRAW, 2021 is going to be an amazing year.</p><p id="34ff" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">However, native RAW is not going away.</p><p id="df31" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">The vast majority of users can’t shoot ProRAW, there are circumstances where regular single-shot RAWs will be superior, and there are certain computational photography algorithms that rely on bayer-level information. We’ve got enough native RAW features planned to keep us busy for quite some time — and to keep bringing fantastic features to all iPhones that can run Halide.</p></div></div>
<div class="hg">
<div class="n p">
<div class="jg jh ji jj jk jl af jm ag jn ai aj">
<div class="hh hi hj hk hl n lp"><figure class="cs hg lq lr jq jp ls paragraph-image">
<div role="button" tabindex="0" class="hm hn ho hp aj hq">
<div class="hw s ho hx">
<div class="jf hz s">
<div class="hr hs t u v ht aj bl hu hv"><img alt="Image for post" class="t u v ht aj ia ib ic" src="https://miro.medium.com/max/46/1*vUVodwaon3ojvmb92eAILA.jpeg?q=20" width="3024" height="4032"/></div><img alt="Image for post" class="hr hs t u v ht aj c" width="3024" height="4032"/><noscript><img alt="Image for post" class="t u v ht aj" src="https://miro.medium.com/max/6048/1*vUVodwaon3ojvmb92eAILA.jpeg" width="3024" height="4032" srcSet="https://miro.medium.com/max/552/1*vUVodwaon3ojvmb92eAILA.jpeg 276w, https://miro.medium.com/max/1000/1*vUVodwaon3ojvmb92eAILA.jpeg 500w" sizes="500px"/></noscript></div></div></div></figure><figure class="cs hg lq lr jq jp ls paragraph-image">
<div role="button" tabindex="0" class="hm hn ho hp aj hq">
<div class="hw s ho hx">
<div class="jf hz s">
<div class="hr hs t u v ht aj bl hu hv"><img alt="Image for post" class="t u v ht aj ia ib ic" src="https://miro.medium.com/max/46/1*UFBjSexxr5Yfvp7mo7_WHA.jpeg?q=20" width="3024" height="4032"/></div><img alt="Image for post" class="hr hs t u v ht aj c" width="3024" height="4032"/><noscript><img alt="Image for post" class="t u v ht aj" src="https://miro.medium.com/max/6048/1*UFBjSexxr5Yfvp7mo7_WHA.jpeg" width="3024" height="4032" srcSet="https://miro.medium.com/max/552/1*UFBjSexxr5Yfvp7mo7_WHA.jpeg 276w, https://miro.medium.com/max/1000/1*UFBjSexxr5Yfvp7mo7_WHA.jpeg 500w" sizes="500px"/></noscript></div></div></div></figure></div>
<div class="n lp"><figure class="cs hg lq lr jq jp ls paragraph-image">
<div role="button" tabindex="0" class="hm hn ho hp aj hq">
<div class="hw s ho hx">
<div class="jf hz s">
<div class="hr hs t u v ht aj bl hu hv"><img alt="Image for post" class="t u v ht aj ia ib ic" src="https://miro.medium.com/max/46/1*8ewT4cLPtJZYI8Qf_VFegA.jpeg?q=20" width="3024" height="4032"/></div><img alt="Image for post" class="hr hs t u v ht aj c" width="3024" height="4032"/><noscript><img alt="Image for post" class="t u v ht aj" src="https://miro.medium.com/max/6048/1*8ewT4cLPtJZYI8Qf_VFegA.jpeg" width="3024" height="4032" srcSet="https://miro.medium.com/max/552/1*8ewT4cLPtJZYI8Qf_VFegA.jpeg 276w, https://miro.medium.com/max/1000/1*8ewT4cLPtJZYI8Qf_VFegA.jpeg 500w" sizes="500px"/></noscript></div></div></div></figure><figure class="cs hg lq lr jq jp ls paragraph-image">
<div role="button" tabindex="0" class="hm hn ho hp aj hq">
<div class="hw s ho hx">
<div class="jf hz s">
<div class="hr hs t u v ht aj bl hu hv"><img alt="Image for post" class="t u v ht aj ia ib ic" src="https://miro.medium.com/max/46/1*xwWdZJQpXmyrW7C_9lwYDA.jpeg?q=20" width="3024" height="4032"/></div><img alt="Image for post" class="hr hs t u v ht aj c" width="3024" height="4032"/><noscript><img alt="Image for post" class="t u v ht aj" src="https://miro.medium.com/max/6048/1*xwWdZJQpXmyrW7C_9lwYDA.jpeg" width="3024" height="4032" srcSet="https://miro.medium.com/max/552/1*xwWdZJQpXmyrW7C_9lwYDA.jpeg 276w, https://miro.medium.com/max/1000/1*xwWdZJQpXmyrW7C_9lwYDA.jpeg 500w" sizes="500px"/></noscript></div></div></div><figcaption class="kp kq da cy cz kr ks cf b ev ch ci lt ho lu lv">Maybe the real Pro RAW was the shots we made along the way.</figcaption></figure></div></div></div></div>
<div class="n p">
<div class="ab ac ae af ag dl ai aj"><p id="fe1e" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">The best part of building <a href="http://halide.cam/download" class="cl km" target="_blank" rel="noopener">Halide</a>, and writing these articles, is seeing what folks do with this stuff. If you’re proud of your ProRAW photo, be sure to tag us, because we’d love to see what you can do with it.</p><p id="1933" class="gi gj do gk b gl gm gn go gp gq gr gs gt gu gv gw gx gy gz ha hb hc hd he hf dg el">If a picture is worth a thousand words, congratulations on reading over three pictures. <a href="http://halide.cam/download" class="cl km" target="_blank" rel="noopener">Now get shooting!</a></p></div></div></section></div></article>
