title: La victoire des professionnels
url: https://oncletom.io/2021/08/16/victoire-professionnels/
hash_url: 1e65aa7484aa157870c2a1b735f36a26

<p>Dans <a target="_blank" rel="noopener" href="https://www.cambourakis.com/tout/sorcieres/sorcieres-sages-femmes-et-infirmieres/">sorcières, sages-femmes et infirmières</a> de Barbara Ehrenreich &amp; Deirdre English, une citation du sociologue <a target="_blank" rel="noopener" href="https://www.cairn.info/revue-francaise-de-sociologie-1-2006-2-page-377.htm">Elliot Freison</a> :</p>
<blockquote>
<p>une profession atteint et maintient sa position grâce à la protection et au patronage d’une partie de l’élite de la société qui a acquis la conviction que son travail possède une valeur particulière.</p>
</blockquote>
<p>Le commentaire des autrices sur cette citation est le suivant :</p>
<blockquote>
<p>En d’autres termes, les professions sont créées par la classe dirigeante. Pour devenir <em>la</em> profession médicale, les docteurs “réguliers” ont eu besoin, avant tout, d’être patronnés par la classe dirigeante.</p>
</blockquote>
<p>Les autrices distinguent ce processus, sans le nommer explicitement :</p>
<ol>
<li><strong>une pratique</strong> (exemple “glaner des plantes et se soigner avec ce qu’on trouve”)</li>
<li><strong>une activité</strong> (exemple “se soigner et soigner d’autres avec des plantes dont on a identifié des lieux de cueillettes, ou des personnes pour nous en fournir”)</li>
<li><strong>une profession</strong> (exemple “des personnes qui soignent avec des plantes se regroupent sous une philosophie commune appelée <em>naturopathie</em>”)</li>
</ol>
<p>La profession est une activité professionnalisée, dont une partie de son travail est de défendre ses intérêts, et se propager — parfois, en vue de dominer sur d’autres courants analogues.</p>
<hr>
<p>Quand je lisais ces lignes, je ne pouvais m’empêcher de penser au développement logiciel et à d’autres courants, comme le coaching ou l’agilité.</p>
<p>Ces pratiques sont elles-mêmes mises au service de quelque chose de plus grand : la création d’entreprises financées par de la dette, à la croissance prédictible (<em>aka</em>, les start-ups).</p>
<p>On pourrait distinguer des développeur·ses, designer‧ses, agilistes et coach dont c’est l’<em>activité</em> ou la <em>profession</em>, si leur travail nourrit directement une structure capitalistique et qui renforce le maillage néolibéral.</p>
