title: Si tu es écolo, pourquoi es-tu si connecté ?
url: https://www.alternatives-economiques.fr/marie-duru-bellat/es-ecolo-es-connecte/00088783
hash_url: 878ae93335b28c0fbbb50b520b0f156c

<p>Comme le proclamait de manière à peine provocante le philosophe G.A. Cohen, <em>« si tu es pour l’égalité, pourquoi es-tu si riche ? »</em>, on peut se demander s’il n’y a pas un paradoxe à voir notre belle jeunesse se mobiliser pour le climat tout en gardant précieusement dans sa poche son smartphone, pour se connecter sans modération à ses « amis » (plus d’un jeune sur deux y passe plus d’une heure par jour).</p>

<p>Nombre d’entre nous partagent avec les plus jeunes une addiction « numérique » vécue sans mauvaise conscience. Avec ces milliers de mails, ces vidéos chargées sur Youtube, ces échanges de tweets qui deviennent un mode de communication officiel, nous attestons de notre efficacité, nous cultivons l’Impression de vivre à 100 à l’heure, hyper informés et hypermodernes, et de plus quasiment tout puissants avec ces objets qui font tout à notre place.</p>

<p>Et « écolo », pour couronner le tout : n’est-il pas évident que toutes ces formes de « dématérialisation » sauvegardent la nature, telle la liseuse qui vient épargner le papier ? Pourtant, nul besoin d’être un expert en énergie pour réaliser qu’entre les matériaux nécessaires à sa fabrication, les coûts de transport afférents, son obsolescence programmée et les téléchargements requis ensuite pour l’alimenter ainsi que le stockage des fichiers, sans compter l’impossibilité de se prêter les ouvrages, la liseuse ne supporte pas la comparaison écologique avec le papier….</p>

<p>Mais chut ! Il est impossible de critiquer le tout numérique sans apparaître comme un parfait ringard, tant le nouveau visage du progrès est incarné par ces technologies. Et ceci vaut pour la droite comme pour la gauche, volontiers dithyrambique à l’égard d’internet, à l’instar de l’ancien député socialiste Christian Paul affirmant de manière prémonitoire <em>« oui, internet aide la prise des Bastille du XXIème siècle »</em> ou Martine Billard (aujourd’hui France insoumise) estimant qu’ <em>« il a rendu possible l’expression de tous les sans culottes »</em>…</p>

<h2>Technologie énergivore</h2>

<p>Au-delà de ce qu’on peut considérer comme une certaine naïveté, il y a la conviction bien ancrée que la « révolution numérique », concrètement, toute « nouvelle technologie » nous fait faire un pas en avant vers un monde meilleur,  à moins qu’il ne s’agisse simplement, dans une course en avant dont le sens nous échappe, de ne pas être en retard sur nos voisins d’Outre-Atlantique.</p>

<p>Fondamentalement, les nouvelles technologies semblent concilier préoccupation écologique et croissance, une croissance immatérielle permettant d’écarter le spectre de la décroissance. L’inflation numérique est pourtant clairement anti-écologique. Non seulement internet consomme de l’énergie, mais la toile entretient une inflation consumériste en diffusant des messages publicitaires (contrepartie de la gratuité d’internet) vecteurs d’achats compulsifs.</p>

<p>A nouveau en toute bonne conscience puisque les nouveaux produits se présentent souvent comme plus « écolos » alors qu’ils sont très souvent plus puissants (consommant donc plus), et moins durables (à l’instar des écrans de télévision LCD par exemple).</p>

<p>A l’heure actuelle, la demande énergétique des NTIC croît de +10% par an et celles-ci sont responsables de 14% de la consommation électrique. Contrairement à ce qu’on imagine volontiers implicitement, notre portable ou notre ordinateur ne sont pas de petits terminaux isolés mais n’existent que reliés à toute une architecture, notamment ces data center dont la consommation est impressionnante. Certaines « fermes informatiques » consomment autant que 80 000 foyers américains.</p>

<p>Depuis la consommation de minéraux jusqu’à la production de déchets électroniques, et sans compter les coûts géopolitiques ou psychologiques (dégradation de l’attention, moindre tolérance à l’ennui, fuite des contacts directs…), la démesure « techno » est extrêmement coûteuse d’un point de vue écologique. Les analyses de l’ADEME en fournissent maints exemples concrets : alors qu’en une heure, on compte 180 millions de recherches Google dans le monde, une recherche sur Google utilise autant d’énergie qu’une ampoule basse consommation pendant une heure.</p>

<p>Certes, il n’est ni possible ni toujours souhaitable d’échapper à l ’« internetisation » dans nombre de domaines, mais il est impératif d’en analyser les effets et les enjeux : loin que cela constitue une grande évolution progressiste, bien au contraire, cela nous engage plutôt sur une voie anti-écologique. La transition écologique exigera de payer l’énergie plus cher, et nécessitera une politique d’ensemble passant par une mise à plat de nos consommations, et par une prise de conscience. Bien peu de choses sont en fait « immatérielles ».</p>
