title: Lancement laborieux pour la loterie vaccinale
url: https://www.ledevoir.com/societe/620427/debut-de-l-inscription-a-la-loterie-vaccin-covid
hash_url: b22e4e9595ac77a1d763789a3d23106a

<p>Les Québécois qui ont reçu au moins une première dose de vaccin contre la COVID-19 pouvaient, en théorie, s’inscrire dimanche aux tirages organisés par le ministère de la Santé et des Services sociaux, en partenariat avec Loto-Québec, qui se dérouleront tous les vendredis du mois d’août.</p>


<p>Pour être admissible à un lot de 150 000 $ ou à une bourse d’études de 10 000 $, il faut avoir obtenu au moins sa première dose et s’inscrire par Internet en passant par le site quebec.ca/vaccincovid et sa section du concours Gagner à être vacciné.</p>


<p>Toutefois, il était difficile d’accéder au site, dimanche matin. Deux journalistes de La Presse canadienne ont tenté en vain de s’inscrire à plusieurs reprises entre 9 h 15 et 9 h 40, mais le site indiquait que « le système est en cours de maintenance » alors que la période d’inscription devait pourtant s’ouvrir à 8 h. Finalement l’un d’entre eux est parvenu à s’inscrire à 9 h 48. Et encore, le premier envoi de son formulaire avait reçu la réponse « en maintenance ».</p>


<p>Santé Québec a reconnu ces problèmes sur Twitter en fin de matinée : « Le site pour s’inscrire au concours éprouve présentement des problèmes techniques. Des travaux sont en cours afin de résoudre la situation le plus rapidement possible. Merci de votre patience ! »</p>


<p>En fin d’après-midi, le problème n’était pas résolu.</p>


<p>Le ministre de la Santé et des Services sociaux, Christian Dubé, et le ministre des Finances, de l’Économie et de l’Innovation, Eric Girard, avaient annoncé la création de cette loterie, en grande pompe le 16 juillet dernier.</p>


<p>Elle prévoit aussi le tirage d’un gros lot d’un million de dollars parmi les Québécois complètement vaccinés d’ici le 31 août, mais il faut faire vite puisqu’un minimum de quatre semaines est exigé entre les deux doses. Le tirage de ce gros lot d’un million de dollars aura lieu le 3 septembre prochain, tout comme 16 bourses d’études de 20 000 $.</p>


<p>Le gouvernement espère ainsi atteindre l’objectif d’une vaccination complète de 75 % de sa population de 12 ans et plus contre la COVID-19, dans chaque catégorie d’âge, d’ici au 31 août.</p>


<p>En date du 22 juillet dernier, 72,9 % de la population du Québec avait reçu au moins une dose de vaccin, un pourcentage qui grimpe à 83,3 % chez les 12 ans et plus.</p>


<p>En tout, 59,8 % des 12 ans et plus étaient adéquatement vaccinés, ayant reçu les deux doses nécessaires, selon les données de l’Institut national de santé publique du Québec.</p>


<p>Depuis le début de la pandémie, au moins 376 530 Québécois ont contracté la COVID-19, et 11 239 personnes en sont mortes.</p>
