title: Notes sur une photographie ouverte (et amatrice)
url: https://11d.im/journal/notes-photographie-amatrice/
hash_url: da6ba7728178232cfb94f52b8765a1d1

<p>C’est un peu un dump de cerveau sur ce que j’attends d’un site de publication de photographie. Maintenant que je me suis fait plaisir et rassuré sur la technicité (<a href="/journal/10-jours-six-photos/">épisode 1</a>, <a href="/journal/strapi-astro/">épisode 2</a>), je vais mettre un peu le développement de <a href="https://six.photos">six.photos</a> entre parenthèse pour partir en vacances et aussi alimenter le site plutôt que de juste travailler sur sa forme.</p>
<h2>La photographie comme hobby</h2>
<ul>
<li>Instagram : Mettons de côté quelques secondes la propriété par facebook. Instragram est de moins en moins et depuis certainement plusieurs années un espace de partage de photos/images qu’un espace pour les influenceu·r·ce·s et les marques. Quand les uns ne deviennent pas les autres. Vous et moi ne sommes pas vraiment les usagers de la plateforme. Nous y sommes littéralement des cibles, des variables et des chiffres à acquérir un par un, action par action : like, commentaire et achat.
<ul>
<li>Pour réussir sur instragram, il ne s’agit pas seulement d’avoir des images mais il faut adopter des stratégies. Se contraindre à avoir un univers cohérent et par exemple d’avoir une certaine palette de couleur et ne pas en sortir. Il y a une forme de normalisation des images et des imaginaires.</li>
<li>Pourquoi pas ne pas juste partager des images sur facebook : parce que je n’ai pas envie de contribuer au pillage des données personnelles de cette plateforme. Que je n’ai également aucun contrôle sur le fait que mes cercles de connaissance vont voir les images ou non. Tout dépend d’algorithme d’économie de l’attention qui nous ramène à une problématique similaire au point initial.</li>
</ul>
</li>
<li>Eyem, 500px, Snugmug etc : Je ne sais pas trop comment le formuler. Il y a une forme d’incitation constante à monétiser tout et n’importe quoi sur Internet. C’est devenu une norme de réussite. Aller de plateforme en plateforme pour être poseur de tendance et passer de l’autre côté de barrière sans pour autant montrer la dimension réelle du travail. Certaines plateformes tentent un modèle plus ancien en tapant dans la longue traîne des amateurs qui voudraient bien devenir professionnels, ou plus exactement se faire du blé, ou de l’argent de poche, on ne sait pas trop. Une forme d’uberisation de l’image en quelques sortes. C’est fatiguant.
<ul>
<li>Je crois que j’en suis au point où j’ai fait le deuil de tout ça et que j’ai pris conscience que je ne serai pas photographe professionnel ou reconnu pour cela et que ce n’est pas grave. Peut-être même en faire le deuil.</li>
<li>J’ai par contre envie de continuer à garder le plaisir à produire des images comme une forme d’expression de vie intérieure et de partager cette production à mes proches. C’est une pratique amateur qui est à la fois gratuite pour moi et ce/ux que je prends en photo. Dans ce sens, j’ai également envie de m’améliorer : de faire des photographies plus expressives ce qui dans mon cas passe par un cheminent pour dégager des lignes directrices ainsi que comprendre les aspects techniques qui amènent à des options et des décisions.</li>
</ul>
</li>
<li>Flickr appartient maintenant à Snugmug. Les communautés ont l’air d’être actives et calmes. Je suppose que la stratégie est d’amener les usagers vers la plateforme mère et donc dans un petit délire de monétisation.</li>
<li><a href="https://www.shopmoment.com/">Moment</a> : à voir. Je découvre tout juste. Il y a un aspect boutique super présent mais j'aime bien la qualité de ce qu'on peut y apprendre. Il y a zéro endroit pour partager quoi que ce soit.
<ul>
<li>La vidéo et la photographie, pour les amateurs, sont aujourd’hui très liées à la vente de matériel qui prennent la poussière.</li>
</ul>
</li>
<li>Il y a peut également un parallèle à faire avec le plaisir et le travail du texte.</li>
</ul>
<h2>Quelques pistes pour six.photos</h2>
<ul>
<li>Travailler sur la notion de séries. Sur insta, je m'étais donné 3 hashtags conducteurs. Sur flickr, j'en avais un peu plus mais quand même moins que 10.
<ul>
<li>a-matrice : sans matrice : le contraire :)</li>
</ul>
</li>
<li>Pouvoir documenter les intentions.</li>
<li>Donner à voir les changements/versions. Quand je remplace une photo par une versions retravaillée par exemple.</li>
<li>Laisser visible les traces techniques comme les réglages de l’appareil.</li>
<li>Laisser la possibilité à d’autres personnes d’avoir accès à mes photos pour en faire quelque chose à leur goût. Comme un remix ou un fork.</li>
<li>Oublier les métriques que je m’impose professionnellement et revenir à la base : faire en sorte que mes proches puissent avoir accès aux photos sans contrainte de création de compte ou je ne sais pas quoi.</li>
</ul>
<h2>Similarité avec le logiciel libre et la donnée ouverte</h2>
<ul>
<li>Positionnement éthique plus que technique.</li>
<li>Pas de données brutes. Pas de code brute. Tout est toujours le produit d’un travail.</li>
<li>Donner à voir le travail et le processus.</li>
</ul>
<p>J’avais des grandes lancées sur mon vélo sur ces derniers points vendredi dernier mais maintenant que je suis en vacances, je vais me contenter de ça.</p>
