title: Du sens
url: https://www.blog-libre.org/2016/12/09/du-sens/
hash_url: 5685ce6e3c7b5f8f8cf590630ecd78af

<p>L’informatique m’exaspère ces derniers temps. Je sature de voir autant d’incompétences, de mensonges, d’hypocrisie. J’en ai marre de voir parler de logiciels quand on devrait parler d’utilisateurs, marre d’entendre le mot progrès adossé à « si c’est nouveau c’est mieux », marre de voir les entreprises protégées et les utilisateurs à poil.</p>
<p><strong>L’informatique asservit</strong>. Combien de personnes arrivent à se servir de leur ordinateur, smartphone, du net, des réseaux sociaux ? Combien de personnes comprennent les enjeux (intelligence artificielle, objets connectés, blockchain, automatisation, vie privée, big data) ? Tout le monde est largué. Tout le monde.</p>
<p>Le lecteur critique me fera remarquer qu’on n’a pas besoin de tout connaitre pour se servir des outils informatiques qui nous entourent. Non on n’a pas besoin… c’est ainsi qu’on passe à côté des <a href="https://theconversation.com/cliquer-sur-installer-linacceptable-prise-dotage-de-1-72-milliard-dinternautes-66611" target="_blank">conditions générales d’utilisation</a>, de la <a href="http://www.bortzmeyer.org/surveillance.html" target="_blank">surveillance</a>, de la <a href="http://www.telerama.fr/medias/yahoo-mode-d-emploi-d-un-suicide-numerique,148351.php" target="_blank">trahison</a> des outils qu’on utilise, du fait que les GAFAM sont tout-puissants (<a href="http://uk.businessinsider.com/the-biggest-companies-by-market-cap-over-the-last-15-years-2016-8" target="_blank">1</a> ,<a href="https://en.wikipedia.org/wiki/List_of_public_corporations_by_market_capitalization#2016" target="_blank">2</a>).</p>
<p>Mes deux dernières interventions au boulot c’était pour appuyer sur le bouton HDMI-2 permettant à un utilisateur d’envoyer sa présentation sur le vidéoprojecteur et effacer les cookies sur un Firefox qui refusait de se connecter sur Gmail. Des gens que je respecte, certainement pas des imbéciles. C’est ça le niveau d’un utilisateur moyen face aux gigantesques torrents de nouveautés et de savoirs nécessaires pour surnager dans l’informatique.</p>
<p>Alors je cherche. Je cherche désespérément une solution, qui va aider l’utilisateur ? Les entreprises prennent l’utilisateur pour un client (De l’aide ? Souscrivez au support). Les politiques sont absents du sujet et/ou totalement dépassés. Tant de ceux qui possèdent le savoir écrasent au lieu d’éclairer.</p>
<p>Finalement il n’y aura personne d’autre que <a href="http://rue89.nouvelobs.com/blog/rural-rules/2016/10/10/et-dun-coup-je-me-suis-libere-dapple-google-et-microsoft-235392" target="_blank">l’informaticien sympa du coin</a> ou une association pour aider l’utilisateur. On en est réduit à ça. C’est dramatique. J’ai l’impression que peu de personnes s’en rendent compte, moi c’est seulement maintenant que j’accepte cette réalité, que je la digère. <strong>Notre responsabilité est énorme</strong>. Simultanément ça signifie que c’est nous qui distribuons les cartes, qui choisissons comment on veut faire l’informatique. Je veux de l’humain, de l’accueillant, du partage. Faire sens, s’inscrire dans une démarche, accueillir.</p>
<p>Dans <a href="https://www.blog-libre.org/2016/02/21/faire/" target="_blank">Faire</a> il y avait déjà la marche à suivre : « Il importe de faire le monde que nous voulons, beaucoup plus que de lutter contre le monde que nous ne voulons pas », « Entre l’opposition et la proposition, la seconde draine souvent plus d’énergie féconde que la première ».</p>
