title: A licence for using software for good
url: https://github.com/raisely/NoHarm
hash_url: 66544810e42555bc5510c5eac5730a6c

<p><strong>A license for developers who write open source code to make the world a better place</strong></p>
<p>As developers we can no longer close our eyes to the fact that open source code
is being used by individuals and organizations to the detriment of our society.</p>
<p>The Do No Harm License is for developers that agree in general with the principles
of open source software, but are uncomfortable with their software being used
as part of efforts to destroy lives, our environment and our future.</p>
<p>In short, developers who use this license want their code to contribute to a
just world for all.</p>
<p>This license is based on the <a href="https://spdx.org/licenses/BSD-3-Clause.html" rel="nofollow">BSD 3-clause license</a>,
but with specific exclusions for using licensed code to promote or profit from:</p>
<ul>
<li>violence, hate and division,</li>
<li>environmental destruction,</li>
<li>abuse of human rights,</li>
<li>the destruction of people’s physical and mental health</li>
</ul>
<p><a href="/raisely/NoHarm/blob/master/LICENSE.md">View the license</a></p>
